(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    197296,       5091]
NotebookOptionsPosition[    186382,       4892]
NotebookOutlinePosition[    186718,       4907]
CellTagsIndexPosition[    186675,       4904]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["BayesWave Prior", "Title",
 CellChangeTimes->{{3.798898850995875*^9, 
  3.798898857114797*^9}},ExpressionUUID->"10b0707b-4abd-4054-b0bc-\
37a544abdeeb"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "Unnormalized", " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ptilde", "[", 
    RowBox[{"r_", ",", " ", "dstar"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"r", "^", "2"}], "/", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", 
        RowBox[{"r", "/", 
         RowBox[{"(", 
          RowBox[{"3", "dstar"}], ")"}]}]}], "+", "1"}], ")"}], "^", 
     "5"}]}]}]}]], "Input",
 CellChangeTimes->{{3.798898928157756*^9, 3.7988989401025057`*^9}, {
  3.798903404549204*^9, 3.7989034255274*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"3d39b21b-7f68-407b-bd64-1f8428c2cba7"],

Cell[CellGroupData[{

Cell["Normalization", "Chapter",
 CellChangeTimes->{{3.798898861641048*^9, 
  3.798898872365321*^9}},ExpressionUUID->"315cbe2a-48e1-4958-8556-\
f21618c78701"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"ptilde", "[", 
    RowBox[{"r", ",", "dstar"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "dmin", ",", "dmax"}], "}"}], ",", 
   RowBox[{"Assumptions", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dmin", ">", "0"}], ",", 
      RowBox[{"dstar", ">", "dmin"}], ",", 
      RowBox[{"dmax", ">", "dstar"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.798903430026298*^9, 3.798903455558558*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"ba340c08-4f62-40d4-ab11-66bdb6dfd1f4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"243", " ", 
    RowBox[{"(", 
     RowBox[{"dmax", "-", "dmin"}], ")"}], " ", 
    SuperscriptBox["dstar", "5"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["dmax", "2"], " ", 
       SuperscriptBox["dmin", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}]}], "+", 
      RowBox[{"8", " ", "dmax", " ", "dmin", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"7", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", "dstar"}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"16", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "2"]}], "+", 
      RowBox[{"18", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "3"]}]}], ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dmax"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dmin"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.798903458434062*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"e2be5ca0-656a-4e24-998c-858a6bd3bb62"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"%", "//", "FortranForm"}]], "Input",
 CellChangeTimes->{{3.798903472509245*^9, 3.798903475480036*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"2d833799-228b-41df-b6c9-3ef902bd95a0"],

Cell["\<\
        (243*(dmax - dmin)*dstar**5*
     -    (8*dmax**2*dmin**2*(dmax + dmin) + 
     -      8*dmax*dmin*(dmax**2 + 7*dmax*dmin + dmin**2)*dstar + 
     -      3*(dmax + dmin)*(dmax**2 + 16*dmax*dmin + dmin**2)*dstar**2 + 
     -      18*(dmax**2 + dmax*dmin + dmin**2)*dstar**3))/
     -  (2.*(2*dmax + 3*dstar)**4*(2*dmin + 3*dstar)**4)\
\>", "Output",
 CellChangeTimes->{3.7989034757159157`*^9},
 CellLabel->
  "Out[3]//FortranForm=",ExpressionUUID->"8d9f1e5c-7a59-43c8-92ad-\
9d377d706215"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["CDF", "Subtitle",
 CellChangeTimes->{{3.798903763827015*^9, 
  3.798903764558679*^9}},ExpressionUUID->"3d8cfd68-0983-4e14-8fec-\
c232a36066d6"],

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"ptilde", "[", 
    RowBox[{"r", ",", "dstar"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "dmin", ",", "d"}], "}"}], ",", 
   RowBox[{"Assumptions", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dmin", ">", "0"}], ",", 
      RowBox[{"dstar", ">", "dmin"}], ",", 
      RowBox[{"dmax", ">", "dstar"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.798903790218236*^9, 
  3.798903792601572*^9}},ExpressionUUID->"9bbee658-2309-4f65-9efd-\
9fec5714acb8"],

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"27", 
    RowBox[{"dstar", "^", "2"}], 
    RowBox[{
     RowBox[{"r", "^", "2"}], "/", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{"r", "/", 
          RowBox[{"(", 
           RowBox[{"3", "dstar"}], ")"}]}]}], "+", "1"}], ")"}], "^", 
      "5"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "dmin", ",", "dmax"}], "}"}], ",", 
   RowBox[{"Assumptions", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dmin", ">", "0"}], ",", 
      RowBox[{"dstar", ">", "dmin"}], ",", 
      RowBox[{"dmax", ">", "dstar"}]}], "}"}]}]}], "]"}]], "Input",ExpressionU\
UID->"f426e10f-5812-4580-b233-c4c8babf5273"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"norm", " ", "=", " ", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"27", 
     RowBox[{"dstar", "^", "2"}], 
     RowBox[{
      RowBox[{"r", "^", "2"}], "/", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", 
          RowBox[{"r", "/", 
           RowBox[{"(", 
            RowBox[{"3", "dstar"}], ")"}]}]}], "+", "1"}], ")"}], "^", 
       "5"}]}]}], ",", 
    RowBox[{"{", 
     RowBox[{"r", ",", "dmin", ",", "dmax"}], "}"}], ",", 
    RowBox[{"Assumptions", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"dmin", ">", "0"}], ",", 
       RowBox[{"dstar", ">", "dmin"}], ",", 
       RowBox[{"dmax", ">", "dstar"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.798194013829159*^9, 3.798194045597732*^9}, {
  3.7981952071735907`*^9, 3.798195231213399*^9}, {3.798195297253723*^9, 
  3.7981952977129993`*^9}, {3.798195335492646*^9, 3.798195336255685*^9}, {
  3.798195448736897*^9, 3.798195450680841*^9}},
 CellLabel->
  "In[119]:=",ExpressionUUID->"464ab272-27c0-441c-a7d7-9ee7e7d1ff8a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"6561", " ", 
    RowBox[{"(", 
     RowBox[{"dmax", "-", "dmin"}], ")"}], " ", 
    SuperscriptBox["dstar", "7"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["dmax", "2"], " ", 
       SuperscriptBox["dmin", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}]}], "+", 
      RowBox[{"8", " ", "dmax", " ", "dmin", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"7", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", "dstar"}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"16", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "2"]}], "+", 
      RowBox[{"18", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "3"]}]}], ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dmax"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dmin"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.798194048420959*^9, {3.798195215184059*^9, 3.798195232694248*^9}, 
   3.798195299755892*^9, 3.7981953377448072`*^9, 3.798195452468799*^9},
 CellLabel->
  "Out[119]=",ExpressionUUID->"587b9cf5-a7c0-419f-a991-9fcacb15fa53"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"%112", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"dmin", ">", "0"}], ",", 
     RowBox[{"dstar", ">", "dmin"}], ",", 
     RowBox[{"dmax", ">", "dstar"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.798195237176772*^9, 3.798195258394598*^9}},
 CellLabel->
  "In[113]:=",ExpressionUUID->"d5e3154b-0557-41cc-a516-a6714b59123b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"243", " ", 
    RowBox[{"(", 
     RowBox[{"dmax", "-", "dmin"}], ")"}], " ", 
    SuperscriptBox["dstar", "5"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["dmax", "2"], " ", 
       SuperscriptBox["dmin", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}]}], "+", 
      RowBox[{"8", " ", "dmax", " ", "dmin", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"7", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", "dstar"}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"16", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "2"]}], "+", 
      RowBox[{"18", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "3"]}]}], ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dmax"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dmin"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.798195259454945*^9},
 CellLabel->
  "Out[113]=",ExpressionUUID->"36460933-7e59-48f4-9a8a-ed8a6c8a4667"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"p", "[", "r_", "]"}], ":=", 
  RowBox[{"27", " ", 
   RowBox[{"r", "^", "2"}], " ", 
   RowBox[{
    RowBox[{
     RowBox[{"dstar", "^", "2"}], "/", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{"r", "/", 
          RowBox[{"(", 
           RowBox[{"3", "dstar"}], ")"}]}]}], "+", "1"}], ")"}], "^", "5"}]}],
     "/", "norm"}]}]}]], "Input",
 CellChangeTimes->{{3.798194169416482*^9, 3.798194253184515*^9}, {
  3.7981953419953203`*^9, 3.798195375439803*^9}},
 CellLabel->
  "In[120]:=",ExpressionUUID->"c6705a04-50bc-497c-ba7b-dcc074f21e23"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"p", "[", "r", "]"}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.798195376655888*^9, 3.7981953807271757`*^9}},
 CellLabel->
  "In[121]:=",ExpressionUUID->"b71afff4-5cc4-4927-8172-07bf89acadc0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dmax"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dmin"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"], " ", 
    SuperscriptBox["r", "2"]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"243", " ", 
    RowBox[{"(", 
     RowBox[{"dmax", "-", "dmin"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["dmax", "2"], " ", 
       SuperscriptBox["dmin", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}]}], "+", 
      RowBox[{"8", " ", "dmax", " ", "dmin", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"7", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", "dstar"}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"16", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "2"]}], "+", 
      RowBox[{"18", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "3"]}]}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"dstar", "+", 
       FractionBox[
        RowBox[{"2", " ", "r"}], "3"]}], ")"}], "5"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.798195381055726*^9, 3.798195459526814*^9},
 CellLabel->
  "Out[121]=",ExpressionUUID->"49d1c808-fad4-4555-900e-0f8b3a6de8c2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"p", "[", "x", "]"}], "//", "FortranForm"}]], "Input",
 CellChangeTimes->{{3.7981973499944763`*^9, 3.798197378545599*^9}},
 CellLabel->
  "In[154]:=",ExpressionUUID->"41f54d9e-2c01-4234-8f92-a6b00f7dcd34"],

Cell["\<\
        (2*(2*dmax + 3*dstar)**4*(2*dmin + 3*dstar)**4*x**2)/
     -  (243.*(dmax - dmin)*dstar**5*
     -    (8*dmax**2*dmin**2*(dmax + dmin) + 
     -      8*dmax*dmin*(dmax**2 + 7*dmax*dmin + dmin**2)*dstar + 
     -      3*(dmax + dmin)*(dmax**2 + 16*dmax*dmin + dmin**2)*dstar**2 + 
     -      18*(dmax**2 + dmax*dmin + dmin**2)*dstar**3)*(1 + \
(2*x)/(3.*dstar))**5)\
\>", "Output",
 CellChangeTimes->{{3.798197357498376*^9, 3.798197379513185*^9}},
 CellLabel->
  "Out[154]//FortranForm=",ExpressionUUID->"cec2f346-b1cc-49d7-961d-\
a66aed4d4b01"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"cdf", "/.", 
   RowBox[{"d", "\[Rule]", "x"}]}], "//", "FortranForm"}]], "Input",
 CellChangeTimes->{{3.798197455262788*^9, 3.798197465542739*^9}},
 CellLabel->
  "In[156]:=",ExpressionUUID->"a8dc11cc-f55e-4d1f-b242-8643ee4304f9"],

Cell["\<\
        ((2*dmax + 3*dstar)**4*(-dmin + x)*
     -    (8*dmin**2*x**2*(dmin + x) + 18*dstar**3*(dmin**2 + dmin*x + x**2) + 
     -      8*dmin*dstar*x*(dmin**2 + 7*dmin*x + x**2) + 
     -      3*dstar**2*(dmin + x)*(dmin**2 + 16*dmin*x + x**2)))/
     -  ((dmax - dmin)*(8*dmax**2*dmin**2*(dmax + dmin) + 
     -      8*dmax*dmin*(dmax**2 + 7*dmax*dmin + dmin**2)*dstar + 
     -      3*(dmax + dmin)*(dmax**2 + 16*dmax*dmin + dmin**2)*dstar**2 + 
     -      18*(dmax**2 + dmax*dmin + dmin**2)*dstar**3)*(3*dstar + 2*x)**4)\
\>", "Output",
 CellChangeTimes->{{3.7981974602440157`*^9, 3.798197466156242*^9}},
 CellLabel->
  "Out[156]//FortranForm=",ExpressionUUID->"ba0ae4bb-23af-47f8-8b40-\
fe046e7c3884"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"p", "[", "r", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "dmin", ",", "dmax"}], "}"}], ",", " ", 
   RowBox[{"Assumptions", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dmin", ">", "0"}], ",", 
      RowBox[{"dstar", ">", "dmin"}], ",", 
      RowBox[{"dmax", ">", "dstar"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.798194206778015*^9, 3.7981942133028307`*^9}, {
  3.798195421960951*^9, 3.798195439757587*^9}},
 CellLabel->
  "In[132]:=",ExpressionUUID->"8acb9a64-c455-4a3b-a1d4-c1fecfc6989a"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{{3.798194213724722*^9, 3.798194224845628*^9}, 
   3.798194255014037*^9, {3.7981954408993464`*^9, 3.7981954616351013`*^9}, 
   3.798195690191512*^9},
 CellLabel->
  "Out[132]=",ExpressionUUID->"7d25d271-25ca-4ce2-9b95-16799025e3ca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{"p", "[", "r", "]"}], ",", "r"}], "]"}], "/.", 
  RowBox[{"r", "\[Rule]", "dstar"}]}]], "Input",
 CellChangeTimes->{{3.798194258461069*^9, 3.798194268171035*^9}},
 CellLabel->
  "In[131]:=",ExpressionUUID->"5ab672b9-851e-40b1-9f7b-084ee27d89fa"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.798194261791109*^9, 3.798194268897081*^9}, 
   3.79819568571806*^9},
 CellLabel->
  "Out[131]=",ExpressionUUID->"b949a4b2-d3d9-4123-af18-6c64881970a6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"p", "[", "r", "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dmin", "\[Rule]", "100"}], ",", 
      RowBox[{"dmax", "\[Rule]", "1000"}], ",", 
      RowBox[{"dstar", "\[Rule]", "500"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "100", ",", "1000"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.798194293730607*^9, 3.798194332499711*^9}, {
  3.798194406626553*^9, 3.798194407108458*^9}, {3.798195746684299*^9, 
  3.7981957529147797`*^9}},
 CellLabel->
  "In[133]:=",ExpressionUUID->"dd9541f8-bbfe-459b-be42-93e8799cbc5c"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV13k8VN8bB3BURJQlCpUs36IspezLeexJ+g1zr33JUpZkX8fM3BklWxiV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       "]]},
     Annotation[#, "Charting`Private`Tag$191309#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{100., 0.00036173561677010067`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{100, 1000}, {0.00036173561677010067`, 0.0013148485225281717`}},
  
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.798194318467402*^9, 3.798194333147526*^9}, 
   3.7981944077128267`*^9, 3.798195753587688*^9},
 CellLabel->
  "Out[133]=",ExpressionUUID->"9d53b181-c805-42e0-a141-c4d5be8df731"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cdf", " ", "=", " ", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"p", "[", "r", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"r", ",", "dmin", ",", "d"}], "}"}], ",", 
    RowBox[{"Assumptions", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"dstar", ">", "dmin"}], ",", " ", 
       RowBox[{"dmin", ">", "0"}], ",", " ", 
       RowBox[{"d", ">", "dmin"}], ",", 
       RowBox[{"dstar", ">", "0"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.798194523840239*^9, 3.798194613256125*^9}, {
  3.798195476343605*^9, 3.798195484025931*^9}},
 CellLabel->
  "In[124]:=",ExpressionUUID->"75a66b8a-abe9-43cc-8844-1d9db27587ae"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"d", "-", "dmin"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dmax"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["d", "2"], " ", 
       SuperscriptBox["dmin", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"d", "+", "dmin"}], ")"}]}], "+", 
      RowBox[{"8", " ", "d", " ", "dmin", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"7", " ", "d", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", "dstar"}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"d", "+", "dmin"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"16", " ", "d", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "2"]}], "+", 
      RowBox[{"18", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"d", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "3"]}]}], ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"dmax", "-", "dmin"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "d"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["dmax", "2"], " ", 
       SuperscriptBox["dmin", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}]}], "+", 
      RowBox[{"8", " ", "dmax", " ", "dmin", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"7", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", "dstar"}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"16", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "2"]}], "+", 
      RowBox[{"18", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "3"]}]}], ")"}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.798194553963571*^9, 3.798194614913205*^9}, {
  3.798195470637689*^9, 3.7981954883749247`*^9}},
 CellLabel->
  "Out[124]=",ExpressionUUID->"013aa1d9-6798-4928-a74c-e043b6902660"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["cdf"], "Input",
 CellChangeTimes->{{3.7981954896182747`*^9, 3.7981954898877172`*^9}},
 CellLabel->
  "In[125]:=",ExpressionUUID->"dafd63cc-e9a9-4c96-af05-2ad2b401ffd9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"d", "-", "dmin"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dmax"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["d", "2"], " ", 
       SuperscriptBox["dmin", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"d", "+", "dmin"}], ")"}]}], "+", 
      RowBox[{"8", " ", "d", " ", "dmin", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"7", " ", "d", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", "dstar"}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"d", "+", "dmin"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"16", " ", "d", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "2"]}], "+", 
      RowBox[{"18", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"d", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "3"]}]}], ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"dmax", "-", "dmin"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "d"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["dmax", "2"], " ", 
       SuperscriptBox["dmin", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}]}], "+", 
      RowBox[{"8", " ", "dmax", " ", "dmin", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"7", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", "dstar"}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"16", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "2"]}], "+", 
      RowBox[{"18", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "3"]}]}], ")"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.798195490165627*^9},
 CellLabel->
  "Out[125]=",ExpressionUUID->"f0729b98-0153-4a96-baee-6670f2220316"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"16", " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["d", "3"], " ", 
       RowBox[{"(", 
        RowBox[{"d", "+", 
         RowBox[{"6", " ", "dstar"}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "d"}], "+", 
         RowBox[{"3", " ", "dstar"}]}], ")"}], "4"]], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox["dmin", "3"], " ", 
       RowBox[{"(", 
        RowBox[{"dmin", "+", 
         RowBox[{"6", " ", "dstar"}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "dmin"}], "+", 
         RowBox[{"3", " ", "dstar"}]}], ")"}], "4"]]}], ")"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.798194625349832*^9, 3.7981946468738413`*^9}},
 CellLabel->
  "In[107]:=",ExpressionUUID->"a62f9245-eae5-4afb-8876-1468525497b5"],

Cell[BoxData[
 RowBox[{"16", " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox[
     RowBox[{
      SuperscriptBox["d", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"d", "+", 
        RowBox[{"6", " ", "dstar"}]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "d"}], "+", 
        RowBox[{"3", " ", "dstar"}]}], ")"}], "4"]], "-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["dmin", "3"], " ", 
      RowBox[{"(", 
       RowBox[{"dmin", "+", 
        RowBox[{"6", " ", "dstar"}]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "dmin"}], "+", 
        RowBox[{"3", " ", "dstar"}]}], ")"}], "4"]]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.798194638459675*^9, 3.798194647376443*^9}},
 CellLabel->
  "Out[107]=",ExpressionUUID->"90aea8f8-942b-40d3-95a5-25c9da1e5272"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"16", " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["d", "3"], " ", 
         RowBox[{"(", 
          RowBox[{"d", "+", 
           RowBox[{"6", " ", "dstar"}]}], ")"}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "d"}], "+", 
           RowBox[{"3", " ", "dstar"}]}], ")"}], "4"]], "-", 
       FractionBox[
        RowBox[{
         SuperscriptBox["dmin", "3"], " ", 
         RowBox[{"(", 
          RowBox[{"dmin", "+", 
           RowBox[{"6", " ", "dstar"}]}], ")"}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "dmin"}], "+", 
           RowBox[{"3", " ", "dstar"}]}], ")"}], "4"]]}], ")"}]}], "\[Equal]",
     "u"}], ",", "d", ","}], "]"}]], "Input",
 CellChangeTimes->{{3.79819480834481*^9, 3.7981948142433968`*^9}, {
  3.798194966106529*^9, 3.798194968479473*^9}, {3.798195068667459*^9, 
  3.798195087100107*^9}},ExpressionUUID->"10fc65bb-822f-43e7-b7ac-\
1583b0c8e7c9"],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.79819481478402*^9, 3.7981950660660763`*^9},
 CellLabel->
  "Out[109]=",ExpressionUUID->"414d5d93-28d9-4f4a-816d-fcfb050ac52d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"cdf", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dmin", "\[Rule]", "100"}], ",", 
      RowBox[{"dmax", "\[Rule]", "1000"}], ",", 
      RowBox[{"dstar", "\[Rule]", "500"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "100", ",", "1000"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.79819510757528*^9, 3.798195123381551*^9}, {
  3.798195496975453*^9, 3.798195518574589*^9}, {3.798196420588649*^9, 
  3.798196460941291*^9}},
 CellLabel->
  "In[144]:=",ExpressionUUID->"fc982e49-a6c3-4309-9f4a-c8d91c453210"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVxXk01AkcAPCREKsyEVLWUY+UM0pr6PutjUTZxTgGM0WOHKEQWWeYcc5P
vZXNkeMpobziqUeuYiO5UnKHQW4/1RpHZHf/+LyPkoufldsWCoVi/Z//570R
PU+hMDB3WvGsWYLhid0c55piKgPz8ojMUwZyYHq6UsNmPwN9V0VPyp45BKW1
l3cUmzAw/QqVt8fZAELLmzqsUxj4MlMoxizNDKjZcVaFcg7IFSl70bzhAOgv
YG9x1BE1hQdU+9q94Z70qkuWFxMdNgTa2P7hwJuNNmgIZyKP7pPK/REOqi/F
ds2kMnHy2DsriZQIeOK976X+cyZuuXnnUXRJJDTUg8J7QRauvW4z3b4cBVNe
7AHRbBYepT96vt04BnTqJOnBHRfQ/K2nRvSOeODppiuryTljmHFpUtOhW2Ce
KqnpYXsJuy4vUro3MqGoajDdm+OGpNNJczHxAjCcbJ5cn/RADeGwQppbCdxv
krb6ouCFfqtK0ZSQp3CqmJN/jeOD7goibrUTFdDtYGxZNeaLFMXZtyeJKsi5
cCSlLMkf9dTTPWlqdTB/+72rRc1VHE7frtx45BWo5N5/k9l/DW1+WqDcqW0E
R6l7zHNfA3C5FltVrJugSPSha4NSEKaWjDeP6LUAr5e3Mmt4Hc9ppqnq8ltB
X02LMuAXjNRkIkddoBPiRvKOaWSHYIYeTBex30HdVeM17Wc3cI9U33IBvwsk
Y9e0v38OxVmjuyLvEz6Alf/IP9cFwzBo+E9fEaGP8Gio53Clfji2OnbVyOf3
gEDZ0i2WewSusz8dF/6lD/Di6biKqEj8KySMoVDRD21nuoI8GVHIDO4X2mU5
CP6tGeTvU1Gos7HKXu4cgtRYPsUrMBrDI/ZOHjQdBqONfnN38ZuYEDdPlvmO
wAjPjknLuInna8umqw+NgkQC8+E33Rgc3D36t87SKNS48BOHWmIwtd+qx7OK
BxeLVPVy7WJRUWWB7PEfg9Qno9Imi7FYLWTgytMbh4oDevWNEXG4UJnzWHpm
HOxb9wgEibFRi2VN/XZ3AuL14v/Yls9GqRynxHLbz/BYlKgO1OKgHO/B65at
k3Ah52f9xmYOyjw/3wp1kyCSbxIyZxePTq2UExreU6DeK2BpMh6PSxNNag+o
0zDcbnwpJiwB1WjZm30N08A5omx4VywRl8MSyRmPGai25VjcLkjE/JFfh2ky
s+BXGrlSTUtCCa29Rt31syATIOFZ35yEAesrGU1Oc3BuRU2y0DkZr+yfkvUQ
nIfgmYEY98VkTPrg6VWQNQ8KEkrJdmEp+NSKkC/XXgA6f6HtsBQX4cOlmun2
BYg8a/OxN4+LV7wt+kwvkhDo133NsoCLcftvCLW5kOCVZrOz5QEXs6JZwpZu
JNBHbUxflHCx+iiLbe9FwsEbtlXZFVyc76VHugWS0PnQ7p7LGy4WVhraBseT
oLzNwX1ukYue+tS80CckyGj2b3H7xkW13p0eq2UkiNMdcoaWuOi4+FUgpIIE
fo5Db/saF7VXvZ8FVpHQou9o9nQrgeuVv8n5NJIQ4OGkeV2WQHdRyQ6rXhIu
pwy2LMgReEbnx1h7PwmscicPD3kCjZbH2syGSDDddMq1VyZQRfC+4ikeCfvS
mbto6gQWtx94pTlHArVmqLRck8DcNPHIogUShMeY5uo6BPo4rEkc+ELCoiYr
Vv4YgaFZ8+WyfBIm6J8U7xwnUOj7UuPtFRL6Q1k1O2gEUuXESsS/k9CR+4nB
MSJQ1+ewO3uDhMbXLP4mENjp6sjf3CThXw2qgng=
       "]]},
     Annotation[#, "Charting`Private`Tag$202065#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{100., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{100, 1000}, {0., 0.9999999820385259}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.798195518872422*^9, {3.798196427878067*^9, 3.798196462829645*^9}},
 CellLabel->
  "Out[144]=",ExpressionUUID->"0a788404-979b-43bc-8432-9715c0c1f064"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cdf", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"dmin", "\[Rule]", "100"}], ",", 
    RowBox[{"dmax", "\[Rule]", "1000"}], ",", 
    RowBox[{"dstar", "\[Rule]", "500"}], ",", 
    RowBox[{"d", "\[Rule]", "1000"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.7981955252243357`*^9, 3.7981955371713676`*^9}},
 CellLabel->
  "In[127]:=",ExpressionUUID->"623a9942-3d97-48b8-8735-5a9b2233d762"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.7981955376739473`*^9},
 CellLabel->
  "Out[127]=",ExpressionUUID->"b97f4acf-4c3e-4d53-b649-0db0086f042f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["cdf"], "Input",
 CellChangeTimes->{{3.79819565645753*^9, 3.798195656782832*^9}},
 CellLabel->
  "In[129]:=",ExpressionUUID->"bf350717-c278-4cb6-a20f-909206063c0f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"d", "-", "dmin"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dmax"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["d", "2"], " ", 
       SuperscriptBox["dmin", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"d", "+", "dmin"}], ")"}]}], "+", 
      RowBox[{"8", " ", "d", " ", "dmin", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"7", " ", "d", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", "dstar"}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"d", "+", "dmin"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"16", " ", "d", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "2"]}], "+", 
      RowBox[{"18", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"d", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "3"]}]}], ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"dmax", "-", "dmin"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "d"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["dmax", "2"], " ", 
       SuperscriptBox["dmin", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}]}], "+", 
      RowBox[{"8", " ", "dmax", " ", "dmin", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"7", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", "dstar"}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"16", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "2"]}], "+", 
      RowBox[{"18", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "3"]}]}], ")"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.798195657408362*^9},
 CellLabel->
  "Out[129]=",ExpressionUUID->"7b96792e-6257-4c0e-afaf-4f8225a3df22"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"cdf", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"dmin", ">", "0"}], ",", 
     RowBox[{"dstar", ">", "dmin"}], ",", 
     RowBox[{"dmax", ">", "dstar"}], ",", " ", 
     RowBox[{"d", ">", "dmin"}], ",", " ", 
     RowBox[{"d", "<", "dmax"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7981956196916513`*^9, 3.7981956666487913`*^9}},
 CellLabel->
  "In[130]:=",ExpressionUUID->"39fb9b27-3255-497c-840e-88d7ba1c0ba7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"d", "-", "dmin"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dmax"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["d", "2"], " ", 
       SuperscriptBox["dmin", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"d", "+", "dmin"}], ")"}]}], "+", 
      RowBox[{"8", " ", "d", " ", "dmin", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"7", " ", "d", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", "dstar"}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"d", "+", "dmin"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"16", " ", "d", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "2"]}], "+", 
      RowBox[{"18", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"d", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "3"]}]}], ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"dmax", "-", "dmin"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "d"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["dmax", "2"], " ", 
       SuperscriptBox["dmin", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}]}], "+", 
      RowBox[{"8", " ", "dmax", " ", "dmin", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"7", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", "dstar"}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"16", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "2"]}], "+", 
      RowBox[{"18", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "3"]}]}], ")"}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.798195638985347*^9, 3.79819566746437*^9}},
 CellLabel->
  "Out[130]=",ExpressionUUID->"4c9f10d2-57b1-42c2-bfed-7d6b7e4859c4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"??", "Solve"}]], "Input",
 CellChangeTimes->{{3.798195856698031*^9, 3.798195858946892*^9}},
 CellLabel->
  "In[135]:=",ExpressionUUID->"ab118cc0-1b09-4e4a-a3ec-2b6fb2082675"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox[
           PaneBox[
            TooltipBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "InformationHelpIcon"],
                ImageSizeCache->{13., {4., 9.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "InformationHelpIconHot"],
                ImageSizeCache->{13., {4., 9.}}]}, Dynamic[
                CurrentValue["MouseOver"]]],
              Appearance->None,
              BaseStyle->"Link",
              ButtonData->"paclet:ref/Solve",
              ButtonNote->"paclet:ref/Solve"],
             "\"paclet:ref/Solve\""],
            FrameMargins->{{0, 4}, {0, 2}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"\\!\\(\\*RowBox[{\\\"Solve\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"expr\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"vars\\\", \
\\\"TI\\\"]}], \\\"]\\\"}]\\) attempts to solve the system \\!\\(\\*StyleBox[\
\\\"expr\\\", \\\"TI\\\"]\\) of equations or inequalities for the variables \
\\!\\(\\*StyleBox[\\\"vars\\\", \\\"TI\\\"]\\). \\n\\!\\(\\*RowBox[{\\\"Solve\
\\\", \\\"[\\\", RowBox[{StyleBox[\\\"expr\\\", \\\"TI\\\"], \\\",\\\", \
StyleBox[\\\"vars\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"dom\\\", \\\"TI\\\
\"]}], \\\"]\\\"}]\\) solves over the domain \\!\\(\\*StyleBox[\\\"dom\\\", \
\\\"TI\\\"]\\). Common choices of \\!\\(\\*StyleBox[\\\"dom\\\", \
\\\"TI\\\"]\\) are Reals, Integers, and Complexes.\"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Documentation\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Documentation\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Documentation", "Tooltip"]& ], 
                   
                   TemplateBox[{
                    TemplateBox[{
                    "\"Local \[RightGuillemet]\"", "paclet:ref/Solve", 
                    "paclet:ref/Solve", "Link", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"],"\"  \"",StyleBox[
                    "\"|\"", "InformationRowLabel", StripOnInput -> False],
                    "\"  \"",TemplateBox[{"\"Web \[RightGuillemet]\"", {
                    URL[
                    "http://reference.wolfram.com/language/ref/Solve.html"], 
                    None}, "http://reference.wolfram.com/language/ref/Solve.\
html", "Hyperlink", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"]},
                    "RowDefault"]},
                  {
                   PaneSelectorBox[{True->
                    ButtonBox[
                    PaneSelectorBox[{False->
                    
                    TemplateBox[{
                    "\[ThickSpace]","\"\[ThickSpace]\"",StyleBox[
                    "\"Options\"", "InformationRowLabel", StripOnInput -> 
                    False],DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "DownPointerOpener"]]},
                    "RowWithSeparators"], True->
                    
                    TemplateBox[{
                    "\[ThickSpace]","\"\[ThickSpace]\"",StyleBox[
                    "\"Options\"", "InformationRowLabel", StripOnInput -> 
                    False],DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "DownPointerOpenerHot"]]},
                    "RowWithSeparators"]}, Dynamic[
                    CurrentValue["MouseOver"]],
                    FrameMargins->0,
                    ImageSize->Automatic],
                    Appearance->None,
                    BaseStyle->None,
                    
                    ButtonFunction:>(Part[System`InformationDump`open$$, 9] = 
                    False),
                    Evaluator->Automatic,
                    FrameMargins->0,
                    ImageMargins->0,
                    Method->"Preemptive"], False->
                    ButtonBox[
                    PaneSelectorBox[{False->
                    
                    TemplateBox[{
                    "\[ThickSpace]","\"\[ThickSpace]\"",StyleBox[
                    "\"Options\"", "InformationRowLabel", StripOnInput -> 
                    False],DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "RightPointerOpener"]]},
                    "RowWithSeparators"], True->
                    
                    TemplateBox[{
                    "\[ThickSpace]","\"\[ThickSpace]\"",StyleBox[
                    "\"Options\"", "InformationRowLabel", StripOnInput -> 
                    False],DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "RightPointerOpenerHot"]]},
                    "RowWithSeparators"]}, Dynamic[
                    CurrentValue["MouseOver"]],
                    FrameMargins->0,
                    ImageSize->Automatic],
                    Appearance->None,
                    BaseStyle->None,
                    
                    ButtonFunction:>(Part[System`InformationDump`open$$, 9] = 
                    True),
                    Evaluator->Automatic,
                    FrameMargins->0,
                    ImageMargins->0,
                    Method->"Preemptive"]}, Dynamic[
                    FEPrivate`Part[System`InformationDump`open$$, 9]]], 
                   PaneSelectorBox[{True->GridBox[{
                    {
                    RowBox[{"Cubics", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"GeneratedParameters", "\[Rule]", "C"}]},
                    {
                    RowBox[{"InverseFunctions", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"MaxExtraConditions", "\[Rule]", "0"}]},
                    {
                    RowBox[{"Method", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"Modulus", "\[Rule]", "0"}]},
                    {
                    RowBox[{"Quartics", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"VerifySolutions", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"WorkingPrecision", "\[Rule]", "\[Infinity]"}]},
                    {
                    StyleBox[
                    
                    TemplateBox[{
                    "\"(\"","\"\[InvisibleSpace]\"","9","\" total)\""},
                    "RowDefault"], "InformationRowOpener",
                    StripOnInput->False]}
                    },
                    BaselinePosition->{Baseline, {1, 1}},
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{1.}}}], False->
                    RowBox[{
                    RowBox[{"Cubics", "\[Rule]", "Automatic"}], 
                    "\[ThinSpace]", 
                    StyleBox["\<\"\[Ellipsis]\"\>", "InformationRowOpener",
                    StripOnInput->False], "\[ThinSpace]", 
                    StyleBox[
                    
                    TemplateBox[{
                    "\"(\"","\"\[InvisibleSpace]\"","9","\" total)\""},
                    "RowDefault"], "InformationRowOpener",
                    StripOnInput->False]}]}, Dynamic[
                    FEPrivate`Part[System`InformationDump`open$$, 9]],
                    BaselinePosition->Baseline,
                    ImageSize->Automatic]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Attributes\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Attributes\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Attributes", "Tooltip"]& ], 
                   RowBox[{"{", "Protected", "}"}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"System`Solve\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"],
               ImageSizeCache->{10., {2., 8.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"],
               ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox[
           PaneBox[
            TooltipBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "InformationHelpIcon"],
                ImageSizeCache->{13., {4., 9.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "InformationHelpIconHot"],
                ImageSizeCache->{13., {4., 9.}}]}, Dynamic[
                CurrentValue["MouseOver"]]],
              Appearance->None,
              BaseStyle->"Link",
              ButtonData->"paclet:ref/Solve",
              ButtonNote->"paclet:ref/Solve"],
             "\"paclet:ref/Solve\""],
            FrameMargins->{{0, 4}, {0, 2}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"\\!\\(\\*RowBox[{\\\"Solve\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"expr\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"vars\\\", \
\\\"TI\\\"]}], \\\"]\\\"}]\\) attempts to solve the system \\!\\(\\*StyleBox[\
\\\"expr\\\", \\\"TI\\\"]\\) of equations or inequalities for the variables \
\\!\\(\\*StyleBox[\\\"vars\\\", \\\"TI\\\"]\\). \\n\\!\\(\\*RowBox[{\\\"Solve\
\\\", \\\"[\\\", RowBox[{StyleBox[\\\"expr\\\", \\\"TI\\\"], \\\",\\\", \
StyleBox[\\\"vars\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"dom\\\", \\\"TI\\\
\"]}], \\\"]\\\"}]\\) solves over the domain \\!\\(\\*StyleBox[\\\"dom\\\", \
\\\"TI\\\"]\\). Common choices of \\!\\(\\*StyleBox[\\\"dom\\\", \
\\\"TI\\\"]\\) are Reals, Integers, and Complexes.\"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{10., {2., 8.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "\!\(\*RowBox[{\"Solve\", \"[\", RowBox[{StyleBox[\"expr\", \"TI\"], \
\",\", StyleBox[\"vars\", \"TI\"]}], \"]\"}]\) attempts to solve the system \
\!\(\*StyleBox[\"expr\", \"TI\"]\) of equations or inequalities for the \
variables \!\(\*StyleBox[\"vars\", \"TI\"]\). \n\!\(\*RowBox[{\"Solve\", \
\"[\", RowBox[{StyleBox[\"expr\", \"TI\"], \",\", StyleBox[\"vars\", \"TI\"], \
\",\", StyleBox[\"dom\", \"TI\"]}], \"]\"}]\) solves over the domain \
\!\(\*StyleBox[\"dom\", \"TI\"]\). Common choices of \!\(\*StyleBox[\"dom\", \
\"TI\"]\) are Reals, Integers, and Complexes.", "Documentation" -> 
    Association[
     "Local" -> "paclet:ref/Solve", "Web" -> 
      "http://reference.wolfram.com/language/ref/Solve.html"], "OwnValues" -> 
    None, "UpValues" -> None, "DownValues" -> None, "SubValues" -> None, 
    "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
    "Options" -> {
     Cubics -> Automatic, GeneratedParameters -> C, InverseFunctions -> 
      Automatic, MaxExtraConditions -> 0, Method -> Automatic, Modulus -> 0, 
      Quartics -> Automatic, VerifySolutions -> Automatic, WorkingPrecision -> 
      DirectedInfinity[1]}, "Attributes" -> {Protected}, "FullName" -> 
    "System`Solve"], True]]], "Output",
 CellChangeTimes->{3.798195859304452*^9},
 CellLabel->
  "Out[135]=",ExpressionUUID->"c99bbd22-1fa3-4b8a-8e40-1e2fd359ecdf"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["cdf"], "Input",
 CellChangeTimes->{{3.79819685997276*^9, 3.7981968603779697`*^9}},
 CellLabel->
  "In[150]:=",ExpressionUUID->"aeeca74c-3f2d-4bf2-9cae-9b17b4ed7120"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"d", "-", "dmin"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dmax"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["d", "2"], " ", 
       SuperscriptBox["dmin", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"d", "+", "dmin"}], ")"}]}], "+", 
      RowBox[{"8", " ", "d", " ", "dmin", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"7", " ", "d", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", "dstar"}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"d", "+", "dmin"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"16", " ", "d", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "2"]}], "+", 
      RowBox[{"18", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["d", "2"], "+", 
         RowBox[{"d", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "3"]}]}], ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"dmax", "-", "dmin"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "d"}], "+", 
       RowBox[{"3", " ", "dstar"}]}], ")"}], "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", 
       SuperscriptBox["dmax", "2"], " ", 
       SuperscriptBox["dmin", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}]}], "+", 
      RowBox[{"8", " ", "dmax", " ", "dmin", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"7", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", "dstar"}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{"dmax", "+", "dmin"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"16", " ", "dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "2"]}], "+", 
      RowBox[{"18", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["dmax", "2"], "+", 
         RowBox[{"dmax", " ", "dmin"}], "+", 
         SuperscriptBox["dmin", "2"]}], ")"}], " ", 
       SuperscriptBox["dstar", "3"]}]}], ")"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.798196860824819*^9},
 CellLabel->
  "Out[150]=",ExpressionUUID->"10bca803-d7f9-4a40-be48-78b38afa2615"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"cdf", "\[Equal]", "u"}], " ", "&&", 
    RowBox[{"u", "\[Element]", 
     RowBox[{"Interval", "[", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}], "]"}]}], "&&", 
    RowBox[{"dstar", ">", "dmin"}], " ", "&&", 
    RowBox[{"dmin", ">", "0"}], "&&", 
    RowBox[{"dmax", ">", "dmin"}], "&&", 
    RowBox[{"d", ">", "dmin"}], " ", "&&", 
    RowBox[{"dmax", ">", "d"}]}], ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.7981958306195908`*^9, 3.798195836491829*^9}, {
  3.798195868061204*^9, 3.798195894463654*^9}, {3.798196288219335*^9, 
  3.7981963562077713`*^9}, {3.798196527453603*^9, 3.7981965827462177`*^9}, {
  3.798196839216639*^9, 3.798196844716942*^9}, {3.798196877614348*^9, 
  3.798196902182706*^9}},
 CellLabel->
  "In[152]:=",ExpressionUUID->"96268171-0859-4919-9b53-8b05e4ff02a2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"d", "\[Rule]", 
    RowBox[{"ConditionalExpression", "[", 
     RowBox[{
      RowBox[{"Root", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"48", " ", 
           SuperscriptBox["dmax", "4"], " ", 
           SuperscriptBox["dmin", "4"], " ", 
           SuperscriptBox["dstar", "2"]}], "+", 
          RowBox[{"288", " ", 
           SuperscriptBox["dmax", "4"], " ", 
           SuperscriptBox["dmin", "3"], " ", 
           SuperscriptBox["dstar", "3"]}], "+", 
          RowBox[{"288", " ", 
           SuperscriptBox["dmax", "3"], " ", 
           SuperscriptBox["dmin", "4"], " ", 
           SuperscriptBox["dstar", "3"]}], "+", 
          RowBox[{"1728", " ", 
           SuperscriptBox["dmax", "3"], " ", 
           SuperscriptBox["dmin", "3"], " ", 
           SuperscriptBox["dstar", "4"]}], "+", 
          RowBox[{"648", " ", 
           SuperscriptBox["dmax", "2"], " ", 
           SuperscriptBox["dmin", "4"], " ", 
           SuperscriptBox["dstar", "4"]}], "+", 
          RowBox[{"3888", " ", 
           SuperscriptBox["dmax", "2"], " ", 
           SuperscriptBox["dmin", "3"], " ", 
           SuperscriptBox["dstar", "5"]}], "+", 
          RowBox[{"648", " ", "dmax", " ", 
           SuperscriptBox["dmin", "4"], " ", 
           SuperscriptBox["dstar", "5"]}], "+", 
          RowBox[{"3888", " ", "dmax", " ", 
           SuperscriptBox["dmin", "3"], " ", 
           SuperscriptBox["dstar", "6"]}], "+", 
          RowBox[{"243", " ", 
           SuperscriptBox["dmin", "4"], " ", 
           SuperscriptBox["dstar", "6"]}], "+", 
          RowBox[{"1458", " ", 
           SuperscriptBox["dmin", "3"], " ", 
           SuperscriptBox["dstar", "7"]}], "+", 
          RowBox[{"648", " ", 
           SuperscriptBox["dmax", "4"], " ", 
           SuperscriptBox["dmin", "2"], " ", 
           SuperscriptBox["dstar", "4"], " ", 
           TemplateBox[{"u","1"},
            "IndexedDefault"]}], "-", 
          RowBox[{"648", " ", 
           SuperscriptBox["dmax", "2"], " ", 
           SuperscriptBox["dmin", "4"], " ", 
           SuperscriptBox["dstar", "4"], " ", 
           TemplateBox[{"u","1"},
            "IndexedDefault"]}], "+", 
          RowBox[{"648", " ", 
           SuperscriptBox["dmax", "4"], " ", "dmin", " ", 
           SuperscriptBox["dstar", "5"], " ", 
           TemplateBox[{"u","1"},
            "IndexedDefault"]}], "+", 
          RowBox[{"3888", " ", 
           SuperscriptBox["dmax", "3"], " ", 
           SuperscriptBox["dmin", "2"], " ", 
           SuperscriptBox["dstar", "5"], " ", 
           TemplateBox[{"u","1"},
            "IndexedDefault"]}], "-", 
          RowBox[{"3888", " ", 
           SuperscriptBox["dmax", "2"], " ", 
           SuperscriptBox["dmin", "3"], " ", 
           SuperscriptBox["dstar", "5"], " ", 
           TemplateBox[{"u","1"},
            "IndexedDefault"]}], "-", 
          RowBox[{"648", " ", "dmax", " ", 
           SuperscriptBox["dmin", "4"], " ", 
           SuperscriptBox["dstar", "5"], " ", 
           TemplateBox[{"u","1"},
            "IndexedDefault"]}], "+", 
          RowBox[{"243", " ", 
           SuperscriptBox["dmax", "4"], " ", 
           SuperscriptBox["dstar", "6"], " ", 
           TemplateBox[{"u","1"},
            "IndexedDefault"]}], "+", 
          RowBox[{"3888", " ", 
           SuperscriptBox["dmax", "3"], " ", "dmin", " ", 
           SuperscriptBox["dstar", "6"], " ", 
           TemplateBox[{"u","1"},
            "IndexedDefault"]}], "-", 
          RowBox[{"3888", " ", "dmax", " ", 
           SuperscriptBox["dmin", "3"], " ", 
           SuperscriptBox["dstar", "6"], " ", 
           TemplateBox[{"u","1"},
            "IndexedDefault"]}], "-", 
          RowBox[{"243", " ", 
           SuperscriptBox["dmin", "4"], " ", 
           SuperscriptBox["dstar", "6"], " ", 
           TemplateBox[{"u","1"},
            "IndexedDefault"]}], "+", 
          RowBox[{"1458", " ", 
           SuperscriptBox["dmax", "3"], " ", 
           SuperscriptBox["dstar", "7"], " ", 
           TemplateBox[{"u","1"},
            "IndexedDefault"]}], "-", 
          RowBox[{"1458", " ", 
           SuperscriptBox["dmin", "3"], " ", 
           SuperscriptBox["dstar", "7"], " ", 
           TemplateBox[{"u","1"},
            "IndexedDefault"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"128", " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dmin", "4"], " ", "dstar"}], "+", 
             RowBox[{"768", " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "2"]}], "+", 
             RowBox[{"768", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "2"]}], "+", 
             RowBox[{"4608", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "3"]}], "+", 
             RowBox[{"1728", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "3"]}], "+", 
             RowBox[{"10368", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "4"]}], "+", 
             RowBox[{"1728", " ", "dmax", " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "4"]}], "+", 
             RowBox[{"10368", " ", "dmax", " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "5"]}], "+", 
             RowBox[{"648", " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "5"]}], "+", 
             RowBox[{"3888", " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "6"]}], "+", 
             RowBox[{"1728", " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dmin", "2"], " ", 
              SuperscriptBox["dstar", "3"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"1728", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "3"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"1728", " ", 
              SuperscriptBox["dmax", "4"], " ", "dmin", " ", 
              SuperscriptBox["dstar", "4"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"10368", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dmin", "2"], " ", 
              SuperscriptBox["dstar", "4"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"10368", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "4"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"1728", " ", "dmax", " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "4"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"648", " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dstar", "5"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"10368", " ", 
              SuperscriptBox["dmax", "3"], " ", "dmin", " ", 
              SuperscriptBox["dstar", "5"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"10368", " ", "dmax", " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "5"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"648", " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "5"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"3888", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dstar", "6"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"3888", " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "6"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}]}], ")"}], " ", "#1"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"128", " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dmin", "4"]}], "+", 
             RowBox[{"768", " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dmin", "3"], " ", "dstar"}], "+", 
             RowBox[{"768", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dmin", "4"], " ", "dstar"}], "+", 
             RowBox[{"4608", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "2"]}], "+", 
             RowBox[{"1728", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "2"]}], "+", 
             RowBox[{"10368", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "3"]}], "+", 
             RowBox[{"1728", " ", "dmax", " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "3"]}], "+", 
             RowBox[{"10368", " ", "dmax", " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "4"]}], "+", 
             RowBox[{"648", " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "4"]}], "+", 
             RowBox[{"3888", " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "5"]}], "+", 
             RowBox[{"1728", " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dmin", "2"], " ", 
              SuperscriptBox["dstar", "2"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"1728", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "2"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"1728", " ", 
              SuperscriptBox["dmax", "4"], " ", "dmin", " ", 
              SuperscriptBox["dstar", "3"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"10368", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dmin", "2"], " ", 
              SuperscriptBox["dstar", "3"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"10368", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "3"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"1728", " ", "dmax", " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "3"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"648", " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dstar", "4"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"10368", " ", 
              SuperscriptBox["dmax", "3"], " ", "dmin", " ", 
              SuperscriptBox["dstar", "4"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"10368", " ", "dmax", " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "4"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"648", " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "4"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"3888", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dstar", "5"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"3888", " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "5"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}]}], ")"}], " ", 
           SuperscriptBox["#1", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "768"}], " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dmin", "2"], " ", "dstar"}], "-", 
             RowBox[{"768", " ", 
              SuperscriptBox["dmax", "4"], " ", "dmin", " ", 
              SuperscriptBox["dstar", "2"]}], "-", 
             RowBox[{"4608", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dmin", "2"], " ", 
              SuperscriptBox["dstar", "2"]}], "-", 
             RowBox[{"288", " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dstar", "3"]}], "-", 
             RowBox[{"4608", " ", 
              SuperscriptBox["dmax", "3"], " ", "dmin", " ", 
              SuperscriptBox["dstar", "3"]}], "-", 
             RowBox[{"10368", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dmin", "2"], " ", 
              SuperscriptBox["dstar", "3"]}], "-", 
             RowBox[{"1728", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dstar", "4"]}], "-", 
             RowBox[{"10368", " ", 
              SuperscriptBox["dmax", "2"], " ", "dmin", " ", 
              SuperscriptBox["dstar", "4"]}], "-", 
             RowBox[{"10368", " ", "dmax", " ", 
              SuperscriptBox["dmin", "2"], " ", 
              SuperscriptBox["dstar", "4"]}], "-", 
             RowBox[{"3888", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dstar", "5"]}], "-", 
             RowBox[{"10368", " ", "dmax", " ", "dmin", " ", 
              SuperscriptBox["dstar", "5"]}], "-", 
             RowBox[{"3888", " ", 
              SuperscriptBox["dmin", "2"], " ", 
              SuperscriptBox["dstar", "5"]}], "-", 
             RowBox[{"3888", " ", "dmax", " ", 
              SuperscriptBox["dstar", "6"]}], "-", 
             RowBox[{"3888", " ", "dmin", " ", 
              SuperscriptBox["dstar", "6"]}], "-", 
             RowBox[{"1458", " ", 
              SuperscriptBox["dstar", "7"]}], "+", 
             RowBox[{"768", " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dmin", "2"], " ", "dstar", " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"768", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dmin", "4"], " ", "dstar", " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"768", " ", 
              SuperscriptBox["dmax", "4"], " ", "dmin", " ", 
              SuperscriptBox["dstar", "2"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"4608", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dmin", "2"], " ", 
              SuperscriptBox["dstar", "2"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"4608", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "2"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"768", " ", "dmax", " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "2"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"288", " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dstar", "3"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"4608", " ", 
              SuperscriptBox["dmax", "3"], " ", "dmin", " ", 
              SuperscriptBox["dstar", "3"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"4608", " ", "dmax", " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "3"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"288", " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "3"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"1728", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dstar", "4"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"1728", " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "4"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}]}], ")"}], " ", 
           SuperscriptBox["#1", "3"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "128"}], " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dmin", "2"]}], "-", 
             RowBox[{"128", " ", 
              SuperscriptBox["dmax", "4"], " ", "dmin", " ", "dstar"}], "-", 
             RowBox[{"768", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dmin", "2"], " ", "dstar"}], "-", 
             RowBox[{"48", " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dstar", "2"]}], "-", 
             RowBox[{"768", " ", 
              SuperscriptBox["dmax", "3"], " ", "dmin", " ", 
              SuperscriptBox["dstar", "2"]}], "-", 
             RowBox[{"1728", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dmin", "2"], " ", 
              SuperscriptBox["dstar", "2"]}], "-", 
             RowBox[{"288", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dstar", "3"]}], "-", 
             RowBox[{"1728", " ", 
              SuperscriptBox["dmax", "2"], " ", "dmin", " ", 
              SuperscriptBox["dstar", "3"]}], "-", 
             RowBox[{"1728", " ", "dmax", " ", 
              SuperscriptBox["dmin", "2"], " ", 
              SuperscriptBox["dstar", "3"]}], "-", 
             RowBox[{"648", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dstar", "4"]}], "-", 
             RowBox[{"1728", " ", "dmax", " ", "dmin", " ", 
              SuperscriptBox["dstar", "4"]}], "-", 
             RowBox[{"648", " ", 
              SuperscriptBox["dmin", "2"], " ", 
              SuperscriptBox["dstar", "4"]}], "-", 
             RowBox[{"648", " ", "dmax", " ", 
              SuperscriptBox["dstar", "5"]}], "-", 
             RowBox[{"648", " ", "dmin", " ", 
              SuperscriptBox["dstar", "5"]}], "-", 
             RowBox[{"243", " ", 
              SuperscriptBox["dstar", "6"]}], "+", 
             RowBox[{"128", " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dmin", "2"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"128", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dmin", "4"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"128", " ", 
              SuperscriptBox["dmax", "4"], " ", "dmin", " ", "dstar", " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"768", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dmin", "2"], " ", "dstar", " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"768", " ", 
              SuperscriptBox["dmax", "2"], " ", 
              SuperscriptBox["dmin", "3"], " ", "dstar", " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"128", " ", "dmax", " ", 
              SuperscriptBox["dmin", "4"], " ", "dstar", " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"48", " ", 
              SuperscriptBox["dmax", "4"], " ", 
              SuperscriptBox["dstar", "2"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"768", " ", 
              SuperscriptBox["dmax", "3"], " ", "dmin", " ", 
              SuperscriptBox["dstar", "2"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"768", " ", "dmax", " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "2"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"48", " ", 
              SuperscriptBox["dmin", "4"], " ", 
              SuperscriptBox["dstar", "2"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "+", 
             RowBox[{"288", " ", 
              SuperscriptBox["dmax", "3"], " ", 
              SuperscriptBox["dstar", "3"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}], "-", 
             RowBox[{"288", " ", 
              SuperscriptBox["dmin", "3"], " ", 
              SuperscriptBox["dstar", "3"], " ", 
              TemplateBox[{"u","1"},
               "IndexedDefault"]}]}], ")"}], " ", 
           SuperscriptBox["#1", "4"]}]}], "&"}], ",", "2"}], "]"}], ",", 
      RowBox[{
       RowBox[{"dstar", ">", "0"}], "&&", 
       RowBox[{"0", "<", "dmin", "<", "dstar"}], "&&", 
       RowBox[{"dmax", ">", "dmin"}], "&&", 
       RowBox[{"0", "<", 
        TemplateBox[{"u","1"},
         "IndexedDefault"], "<", "1"}]}]}], "]"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.7981963256797132`*^9, 3.7981964265685062`*^9, {3.798196538750408*^9, 
   3.798196584151203*^9}, 3.798196845468729*^9, {3.7981968794209538`*^9, 
   3.7981969045743732`*^9}},
 CellLabel->
  "Out[152]=",ExpressionUUID->"28cc3bc6-b830-4b89-b137-a3b7e3992b3a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Interval"}]], "Input",
 CellChangeTimes->{{3.79819630787184*^9, 3.798196310954031*^9}},
 CellLabel->
  "In[138]:=",ExpressionUUID->"e903b064-11bf-4cae-a317-f8a2c6dcca4a"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox[
           PaneBox[
            TooltipBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "InformationHelpIcon"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "InformationHelpIconHot"]]}, Dynamic[
                CurrentValue["MouseOver"]]],
              Appearance->None,
              BaseStyle->"Link",
              ButtonData->"paclet:ref/Interval",
              ButtonNote->"paclet:ref/Interval"],
             "\"paclet:ref/Interval\""],
            FrameMargins->{{0, 4}, {0, 2}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"\\!\\(\\*RowBox[{\\\"Interval\\\", \\\"[\\\", \
RowBox[{\\\"{\\\", RowBox[{StyleBox[\\\"min\\\", \\\"TI\\\"], \\\",\\\", \
StyleBox[\\\"max\\\", \\\"TI\\\"]}], \\\"}\\\"}], \\\"]\\\"}]\\) represents \
the range of values between \\!\\(\\*StyleBox[\\\"min\\\", \\\"TI\\\"]\\) and \
\\!\\(\\*StyleBox[\\\"max\\\", \\\"TI\\\"]\\). \
\\n\\!\\(\\*RowBox[{\\\"Interval\\\", \\\"[\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"min\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]], RowBox[{\\\",\\\", SubscriptBox[StyleBox[\\\"max\\\", \
\\\"TI\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]]}]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"min\\\", \\\"TI\\\"], \
StyleBox[\\\"2\\\", \\\"TR\\\"]], RowBox[{\\\",\\\", SubscriptBox[StyleBox[\\\
\"max\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \\\"TR\\\"]]}]}], \\\"}\\\"}], \\\
\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"]\\\"}]\\) \
represents the union of the ranges \
\\!\\(\\*SubscriptBox[StyleBox[\\\"min\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]]\\) to \\!\\(\\*SubscriptBox[StyleBox[\\\"max\\\", \\\"TI\\\"], \
StyleBox[\\\"1\\\", \\\"TR\\\"]]\\), \\!\\(\\*SubscriptBox[StyleBox[\\\"min\\\
\", \\\"TI\\\"], StyleBox[\\\"2\\\", \\\"TR\\\"]]\\) to \
\\!\\(\\*SubscriptBox[StyleBox[\\\"max\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \
\\\"TR\\\"]]\\), \[Ellipsis]. \"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Documentation\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Documentation\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Documentation", "Tooltip"]& ], 
                   
                   TemplateBox[{
                    TemplateBox[{
                    "\"Local \[RightGuillemet]\"", "paclet:ref/Interval", 
                    "paclet:ref/Interval", "Link", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"],"\"  \"",StyleBox[
                    "\"|\"", "InformationRowLabel", StripOnInput -> False],
                    "\"  \"",TemplateBox[{"\"Web \[RightGuillemet]\"", {
                    URL[
                    "http://reference.wolfram.com/language/ref/Interval.html"]\
, None}, "http://reference.wolfram.com/language/ref/Interval.html", 
                    "Hyperlink", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"]},
                    "RowDefault"]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Attributes\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Attributes\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Attributes", "Tooltip"]& ], 
                   RowBox[{"{", "Protected", "}"}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"System`Interval\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox[
           PaneBox[
            TooltipBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "InformationHelpIcon"],
                ImageSizeCache->{13., {4., 9.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "InformationHelpIconHot"],
                ImageSizeCache->{13., {4., 9.}}]}, Dynamic[
                CurrentValue["MouseOver"]]],
              Appearance->None,
              BaseStyle->"Link",
              ButtonData->"paclet:ref/Interval",
              ButtonNote->"paclet:ref/Interval"],
             "\"paclet:ref/Interval\""],
            FrameMargins->{{0, 4}, {0, 2}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"\\!\\(\\*RowBox[{\\\"Interval\\\", \\\"[\\\", \
RowBox[{\\\"{\\\", RowBox[{StyleBox[\\\"min\\\", \\\"TI\\\"], \\\",\\\", \
StyleBox[\\\"max\\\", \\\"TI\\\"]}], \\\"}\\\"}], \\\"]\\\"}]\\) represents \
the range of values between \\!\\(\\*StyleBox[\\\"min\\\", \\\"TI\\\"]\\) and \
\\!\\(\\*StyleBox[\\\"max\\\", \\\"TI\\\"]\\). \
\\n\\!\\(\\*RowBox[{\\\"Interval\\\", \\\"[\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"min\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]], RowBox[{\\\",\\\", SubscriptBox[StyleBox[\\\"max\\\", \
\\\"TI\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]]}]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"min\\\", \\\"TI\\\"], \
StyleBox[\\\"2\\\", \\\"TR\\\"]], RowBox[{\\\",\\\", SubscriptBox[StyleBox[\\\
\"max\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \\\"TR\\\"]]}]}], \\\"}\\\"}], \\\
\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"]\\\"}]\\) \
represents the union of the ranges \
\\!\\(\\*SubscriptBox[StyleBox[\\\"min\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]]\\) to \\!\\(\\*SubscriptBox[StyleBox[\\\"max\\\", \\\"TI\\\"], \
StyleBox[\\\"1\\\", \\\"TR\\\"]]\\), \\!\\(\\*SubscriptBox[StyleBox[\\\"min\\\
\", \\\"TI\\\"], StyleBox[\\\"2\\\", \\\"TR\\\"]]\\) to \
\\!\\(\\*SubscriptBox[StyleBox[\\\"max\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \
\\\"TR\\\"]]\\), \[Ellipsis]. \"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{10., {2., 8.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "\!\(\*RowBox[{\"Interval\", \"[\", RowBox[{\"{\", RowBox[{StyleBox[\"min\
\", \"TI\"], \",\", StyleBox[\"max\", \"TI\"]}], \"}\"}], \"]\"}]\) \
represents the range of values between \!\(\*StyleBox[\"min\", \"TI\"]\) and \
\!\(\*StyleBox[\"max\", \"TI\"]\). \n\!\(\*RowBox[{\"Interval\", \"[\", \
RowBox[{RowBox[{\"{\", RowBox[{SubscriptBox[StyleBox[\"min\", \"TI\"], \
StyleBox[\"1\", \"TR\"]], RowBox[{\",\", SubscriptBox[StyleBox[\"max\", \
\"TI\"], StyleBox[\"1\", \"TR\"]]}]}], \"}\"}], \",\", RowBox[{\"{\", \
RowBox[{SubscriptBox[StyleBox[\"min\", \"TI\"], StyleBox[\"2\", \"TR\"]], \
RowBox[{\",\", SubscriptBox[StyleBox[\"max\", \"TI\"], StyleBox[\"2\", \
\"TR\"]]}]}], \"}\"}], \",\", StyleBox[\"\[Ellipsis]\", \"TR\"]}], \"]\"}]\) \
represents the union of the ranges \!\(\*SubscriptBox[StyleBox[\"min\", \
\"TI\"], StyleBox[\"1\", \"TR\"]]\) to \!\(\*SubscriptBox[StyleBox[\"max\", \
\"TI\"], StyleBox[\"1\", \"TR\"]]\), \!\(\*SubscriptBox[StyleBox[\"min\", \
\"TI\"], StyleBox[\"2\", \"TR\"]]\) to \!\(\*SubscriptBox[StyleBox[\"max\", \
\"TI\"], StyleBox[\"2\", \"TR\"]]\), \[Ellipsis]. ", "Documentation" -> 
    Association[
     "Local" -> "paclet:ref/Interval", "Web" -> 
      "http://reference.wolfram.com/language/ref/Interval.html"], "OwnValues" -> 
    None, "UpValues" -> None, "DownValues" -> None, "SubValues" -> None, 
    "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
    "Options" -> None, "Attributes" -> {Protected}, "FullName" -> 
    "System`Interval"], False]]], "Output",
 CellChangeTimes->{3.7981963113531218`*^9},
 CellLabel->
  "Out[138]=",ExpressionUUID->"8e2ff46d-fc84-49ed-b87e-3d4cc11e9c30"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", "1"}], "/", 
     RowBox[{"(", 
      RowBox[{"2", 
       RowBox[{"y", "^", "2"}]}], ")"}]}], "+", 
    RowBox[{"2", "/", 
     RowBox[{"(", 
      RowBox[{"3", 
       RowBox[{"y", "^", "3"}]}], ")"}]}], "-", 
    RowBox[{"1", "/", 
     RowBox[{"(", 
      RowBox[{"4", 
       RowBox[{"y", "^", "4"}]}], ")"}]}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"y", ",", "1", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.798205049065446*^9, 3.798205081048553*^9}},
 CellLabel->
  "In[157]:=",ExpressionUUID->"a453f6e8-4ae7-48a6-b024-fe73c7fe30ba"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV1Hs0lHsXB/BJdHGJJGVSjEcOKpRUSv1+JUkSuRSlm65SNGMoRUcNymVM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       "]]},
     Annotation[#, "Charting`Private`Tag$204153#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{1., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{1, 10}, {-0.08333333333333326, 0.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.7982050814399643`*^9},
 CellLabel->
  "Out[157]=",ExpressionUUID->"9ef1c4dc-8670-4852-a0dc-56e638e40796"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Alpha]", "^", "3"}], "+", 
     RowBox[{
      RowBox[{"\[Alpha]", "^", "2"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", "A"}], ")"}]}], "+", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{"4", "A"}], ")"}]}], "-", "1"}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"4", "A"}], ")"}]}]}], "-", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"18", 
        RowBox[{"A", "^", "2"}]}], ")"}]}]}], "\[Equal]", "0"}], ",", 
   "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7982072004720917`*^9, 3.7982072626963797`*^9}},
 CellLabel->
  "In[159]:=",ExpressionUUID->"ce801680-304e-4e0e-bfb7-73b40a0fdfb5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"6", " ", "A"}]]}], "-", 
      FractionBox[
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", 
            RowBox[{"16", " ", 
             SuperscriptBox["A", "2"]}]]}], "-", 
          FractionBox["3", 
           RowBox[{"4", " ", "A"}]]}], ")"}]}], 
       RowBox[{"3", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", 
            SuperscriptBox["A", "3"]], "+", 
           FractionBox["12", 
            SuperscriptBox["A", "2"]], "+", 
           FractionBox[
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"-", "1"}], "-", 
               RowBox[{"24", " ", "A"}], "-", 
               RowBox[{"144", " ", 
                SuperscriptBox["A", "2"]}]}]]}], 
            SuperscriptBox["A", 
             RowBox[{"5", "/", "2"}]]]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}]], "+", 
      RowBox[{
       FractionBox["1", "12"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", 
           SuperscriptBox["A", "3"]], "+", 
          FractionBox["12", 
           SuperscriptBox["A", "2"]], "+", 
          FractionBox[
           RowBox[{"2", " ", 
            SqrtBox["3"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"-", "1"}], "-", 
              RowBox[{"24", " ", "A"}], "-", 
              RowBox[{"144", " ", 
               SuperscriptBox["A", "2"]}]}]]}], 
           SuperscriptBox["A", 
            RowBox[{"5", "/", "2"}]]]}], ")"}], 
        RowBox[{"1", "/", "3"}]]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"6", " ", "A"}]]}], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"\[ImaginaryI]", " ", 
           SqrtBox["3"]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", 
            RowBox[{"16", " ", 
             SuperscriptBox["A", "2"]}]]}], "-", 
          FractionBox["3", 
           RowBox[{"4", " ", "A"}]]}], ")"}]}], 
       RowBox[{"3", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", 
            SuperscriptBox["A", "3"]], "+", 
           FractionBox["12", 
            SuperscriptBox["A", "2"]], "+", 
           FractionBox[
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"-", "1"}], "-", 
               RowBox[{"24", " ", "A"}], "-", 
               RowBox[{"144", " ", 
                SuperscriptBox["A", "2"]}]}]]}], 
            SuperscriptBox["A", 
             RowBox[{"5", "/", "2"}]]]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}]], "-", 
      RowBox[{
       FractionBox["1", "24"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          SqrtBox["3"]}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", 
           SuperscriptBox["A", "3"]], "+", 
          FractionBox["12", 
           SuperscriptBox["A", "2"]], "+", 
          FractionBox[
           RowBox[{"2", " ", 
            SqrtBox["3"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"-", "1"}], "-", 
              RowBox[{"24", " ", "A"}], "-", 
              RowBox[{"144", " ", 
               SuperscriptBox["A", "2"]}]}]]}], 
           SuperscriptBox["A", 
            RowBox[{"5", "/", "2"}]]]}], ")"}], 
        RowBox[{"1", "/", "3"}]]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"6", " ", "A"}]]}], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"\[ImaginaryI]", " ", 
           SqrtBox["3"]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", 
            RowBox[{"16", " ", 
             SuperscriptBox["A", "2"]}]]}], "-", 
          FractionBox["3", 
           RowBox[{"4", " ", "A"}]]}], ")"}]}], 
       RowBox[{"3", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", 
            SuperscriptBox["A", "3"]], "+", 
           FractionBox["12", 
            SuperscriptBox["A", "2"]], "+", 
           FractionBox[
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"-", "1"}], "-", 
               RowBox[{"24", " ", "A"}], "-", 
               RowBox[{"144", " ", 
                SuperscriptBox["A", "2"]}]}]]}], 
            SuperscriptBox["A", 
             RowBox[{"5", "/", "2"}]]]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}]], "-", 
      RowBox[{
       FractionBox["1", "24"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          SqrtBox["3"]}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", 
           SuperscriptBox["A", "3"]], "+", 
          FractionBox["12", 
           SuperscriptBox["A", "2"]], "+", 
          FractionBox[
           RowBox[{"2", " ", 
            SqrtBox["3"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"-", "1"}], "-", 
              RowBox[{"24", " ", "A"}], "-", 
              RowBox[{"144", " ", 
               SuperscriptBox["A", "2"]}]}]]}], 
           SuperscriptBox["A", 
            RowBox[{"5", "/", "2"}]]]}], ")"}], 
        RowBox[{"1", "/", "3"}]]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.798207259296185*^9, 3.798207263155858*^9}},
 CellLabel->
  "Out[159]=",ExpressionUUID->"6a866a6d-188f-4172-a5cf-292fc193a8dd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"%159", ",", 
   RowBox[{"{", 
    RowBox[{"A", "<", "0"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.798207269210834*^9, 3.798207282034459*^9}},
 CellLabel->
  "In[160]:=",ExpressionUUID->"3ed4881c-b9ec-4b45-9150-436a8ff239c1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     FractionBox[
      RowBox[{"1", "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "-", 
          RowBox[{"12", " ", "A"}], "+", 
          RowBox[{"2", " ", 
           SqrtBox["3"], " ", 
           SqrtBox[
            RowBox[{"-", "A"}]], " ", 
           RowBox[{"Abs", "[", 
            RowBox[{"1", "+", 
             RowBox[{"12", " ", "A"}]}], "]"}]}]}], ")"}], 
        RowBox[{"2", "/", "3"}]], "-", 
       RowBox[{"2", " ", "A", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "6"}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            FractionBox[
             RowBox[{"1", "+", 
              RowBox[{"12", " ", "A"}], "+", 
              RowBox[{"2", " ", "\[ImaginaryI]", " ", 
               SqrtBox["3"], " ", 
               SqrtBox["A"], " ", 
               RowBox[{"Abs", "[", 
                RowBox[{"1", "+", 
                 RowBox[{"12", " ", "A"}]}], "]"}]}]}], 
             SuperscriptBox["A", "3"]], ")"}], 
           RowBox[{"1", "/", "3"}]]}], ")"}]}]}], 
      RowBox[{"12", " ", 
       SuperscriptBox["A", "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox[
          RowBox[{"1", "+", 
           RowBox[{"12", " ", "A"}], "+", 
           RowBox[{"2", " ", "\[ImaginaryI]", " ", 
            SqrtBox["3"], " ", 
            SqrtBox["A"], " ", 
            RowBox[{"Abs", "[", 
             RowBox[{"1", "+", 
              RowBox[{"12", " ", "A"}]}], "]"}]}]}], 
          SuperscriptBox["A", "3"]], ")"}], 
        RowBox[{"1", "/", "3"}]]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{
      FractionBox["1", "24"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["4", "A"]}], "+", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"12", " ", "A"}]}], ")"}]}], 
         RowBox[{
          SuperscriptBox["A", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            FractionBox[
             RowBox[{"1", "+", 
              RowBox[{"12", " ", "A"}], "+", 
              RowBox[{"2", " ", "\[ImaginaryI]", " ", 
               SqrtBox["3"], " ", 
               SqrtBox["A"], " ", 
               RowBox[{"Abs", "[", 
                RowBox[{"1", "+", 
                 RowBox[{"12", " ", "A"}]}], "]"}]}]}], 
             SuperscriptBox["A", "3"]], ")"}], 
           RowBox[{"1", "/", "3"}]]}]], "+", 
        RowBox[{"\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[ImaginaryI]", "+", 
           SqrtBox["3"]}], ")"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox[
            RowBox[{"1", "+", 
             RowBox[{"12", " ", "A"}], "+", 
             RowBox[{"2", " ", "\[ImaginaryI]", " ", 
              SqrtBox["3"], " ", 
              SqrtBox["A"], " ", 
              RowBox[{"Abs", "[", 
               RowBox[{"1", "+", 
                RowBox[{"12", " ", "A"}]}], "]"}]}]}], 
            SuperscriptBox["A", "3"]], ")"}], 
          RowBox[{"1", "/", "3"}]]}]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "4"}], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"\[ImaginaryI]", " ", 
            SqrtBox["3"]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"12", " ", "A"}]}], ")"}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "-", 
           RowBox[{"12", " ", "A"}], "+", 
           RowBox[{"2", " ", 
            SqrtBox["3"], " ", 
            SqrtBox[
             RowBox[{"-", "A"}]], " ", 
            RowBox[{"Abs", "[", 
             RowBox[{"1", "+", 
              RowBox[{"12", " ", "A"}]}], "]"}]}]}], ")"}], 
         RowBox[{"1", "/", "3"}]]], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"\[ImaginaryI]", " ", 
           SqrtBox["3"]}]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "-", 
           RowBox[{"12", " ", "A"}], "+", 
           RowBox[{"2", " ", 
            SqrtBox["3"], " ", 
            SqrtBox[
             RowBox[{"-", "A"}]], " ", 
            RowBox[{"Abs", "[", 
             RowBox[{"1", "+", 
              RowBox[{"12", " ", "A"}]}], "]"}]}]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}]}], 
      RowBox[{"24", " ", "A"}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7982073107627907`*^9},
 CellLabel->
  "Out[160]=",ExpressionUUID->"c7712340-01c9-4adb-b7d5-11bacbca4ef5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"%159", "/.", 
   RowBox[{"A", "\[Rule]", 
    RowBox[{"-", "1"}]}]}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.79820733347088*^9, 3.7982073461825647`*^9}},
 CellLabel->
  "In[162]:=",ExpressionUUID->"edde5e71-0fb6-4144-90c6-1ff360eaff4b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", "0.2215026961170584`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{"0.1392486519414708`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.4810633110735839`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{"0.1392486519414708`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.4810633110735839`", " ", "\[ImaginaryI]"}]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.798207337497611*^9, 3.798207346440761*^9}},
 CellLabel->
  "Out[162]=",ExpressionUUID->"3b882875-9f85-43f0-a14f-36080d76d536"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", 
      RowBox[{"6", " ", "A"}]]}], "-", 
    FractionBox[
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", 
          RowBox[{"16", " ", 
           SuperscriptBox["A", "2"]}]]}], "-", 
        FractionBox["3", 
         RowBox[{"4", " ", "A"}]]}], ")"}]}], 
     RowBox[{"3", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", 
          SuperscriptBox["A", "3"]], "+", 
         FractionBox["12", 
          SuperscriptBox["A", "2"]], "+", 
         FractionBox[
          RowBox[{"2", " ", 
           SqrtBox["3"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"24", " ", "A"}], "-", 
             RowBox[{"144", " ", 
              SuperscriptBox["A", "2"]}]}]]}], 
          SuperscriptBox["A", 
           RowBox[{"5", "/", "2"}]]]}], ")"}], 
       RowBox[{"1", "/", "3"}]]}]], "+", 
    RowBox[{
     FractionBox["1", "12"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", 
         SuperscriptBox["A", "3"]], "+", 
        FractionBox["12", 
         SuperscriptBox["A", "2"]], "+", 
        FractionBox[
         RowBox[{"2", " ", 
          SqrtBox["3"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"24", " ", "A"}], "-", 
            RowBox[{"144", " ", 
             SuperscriptBox["A", "2"]}]}]]}], 
         SuperscriptBox["A", 
          RowBox[{"5", "/", "2"}]]]}], ")"}], 
      RowBox[{"1", "/", "3"}]]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"A", ",", 
     RowBox[{"-", "2"}], ",", ".1"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7982073745222692`*^9, 3.798207417857881*^9}},
 CellLabel->
  "In[167]:=",ExpressionUUID->"de9b2f48-bdc7-42f9-80d5-702c107e0d3c"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVkWk81IsagA3aSxS3RdmSk5Rk3+r9H7IcEQmF7KHUoTiEtFChTjJJEjqV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       "]], LineBox[CompressedData["
1:eJwBwQI+/SFib1JlAgAAACsAAAACAAAAvr0mKfF+GD8AWFB9qW/sP6VouCph
AiE/AIhrGtdu7D+PUgB4tMpJP4DjHUYIYOw/mAMDA4Q7WD9AH7GrklDsP/Tu
AuXWyGE/APrfIj5B7D8cXITI63NnP2DF1SgKMuw/NpvDxwplcT8A0ZjkARTs
P4d1xo40u3w/0Exg0WLZ6z8UFWYOxLOJPwhaFZOIaes/WeWE3UYGiz/As2U5
7VzrP561o6zJWIw/KIDyUWhQ6z8oVuFKz/2OP6gI1LSgN+s/nkuuQ+0jkj/A
sRKLEgfrP7GMKYD4bZc/QHcY4MCp6j9sB5B8BwGhP9hjJDa0/Ok/fbtXMKhV
oT94KSxWb/LpP45vH+RIqqE/hNiN2jno6T+x165LilOiP5C5YGj80+k/9qfN
Gg2moz9kha0kM6zpP4BIC7kSS6Y/bEv1gUVf6T+UiYb1HZWrP2wKhh8Nz+g/
0Ky8RJbzqz8C9zpSbsXoPwzQ8pMOUqw/Hu8OcN276D+FFl8y/w6tP0ynW9vk
qOg/dqM3b+CIrj/ifKuSlIPoP6xedHRRvrA/JIZuPlo76D+NeCXuE7KzP+gX
bACss+c/LIrAFVDhsz/UBl4LjavnP8qbWz2MELQ/rOMVUnij5z8Gv5GMBG+0
P57K9zVtk+c/fgX+KvUrtT9UOxDezXPnP26S1mfWpbY/NtSt0Fc25z8MpHGP
EtW2PyyWNk3SLuc/qrUMt04Etz86CWuyVSfnP+bYQgbHYrc/RrsA63YY5z9f
H6+ktx+4P8LixA4h++Y//jBKzPNOuD8kLeXI4PPmP5xC5fMvfrg/8ELV2ajs
5j/YZRtDqNy4PyguSbtR3uY/dne2auQLuT/uw+BpMtfmPxSJUZIgO7k/bgpu
KxvQ5j+ymuy5XGq5P9DceO8LyeY/UKyH4ZiZuT8IFrqlBMLmP8m8UV4=
       "]]},
     Annotation[#, "Charting`Private`Tag$231759#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, Automatic},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.798207389226757*^9, 3.798207418203393*^9}},
 CellLabel->
  "Out[167]=",ExpressionUUID->"928334e4-32b4-4162-9a08-16c79eeecd98"]
}, Open  ]],

Cell["Cubic", "Text",
 CellChangeTimes->{{3.7984408644749002`*^9, 
  3.7984408652526817`*^9}},ExpressionUUID->"c9cacd51-89b4-4fd1-8f40-\
f3c2eb8bb71c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Discriminant", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "^", "3"}], "+", 
    RowBox[{
     RowBox[{"\[Alpha]", "^", "2"}], "/", 
     RowBox[{"(", 
      RowBox[{"2", "A"}], ")"}]}], "+", 
    RowBox[{"\[Alpha]", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{"4", "A"}], ")"}]}], "-", "1"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"4", "A"}], ")"}]}]}], "-", 
    RowBox[{"1", "/", 
     RowBox[{"(", 
      RowBox[{"18", 
       RowBox[{"A", "^", "2"}]}], ")"}]}]}], ",", "\[Alpha]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7984409947067223`*^9, 3.7984410020528183`*^9}},
 CellLabel->
  "In[180]:=",ExpressionUUID->"b54c5a14-543d-4449-8f74-e8896c3f81f5"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", 
   RowBox[{"24", " ", "A"}], "+", 
   RowBox[{"144", " ", 
    SuperscriptBox["A", "2"]}]}], 
  RowBox[{"2304", " ", 
   SuperscriptBox["A", "5"]}]]], "Output",
 CellChangeTimes->{3.798441002575788*^9},
 CellLabel->
  "Out[180]=",ExpressionUUID->"774bc0d8-6a0c-4193-bdaa-2807dd0e5729"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"24", " ", "A"}], "+", 
     RowBox[{"144", " ", 
      SuperscriptBox["A", "2"]}]}], 
    RowBox[{"2304", " ", 
     SuperscriptBox["A", "5"]}]], ",", 
   RowBox[{"{", 
    RowBox[{"A", ",", 
     RowBox[{"-", "10"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7984411226546707`*^9, 3.798441178972129*^9}},
 CellLabel->
  "In[186]:=",ExpressionUUID->"4117400c-b3f9-4f06-9f2e-500b374be163"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVl/k7FHofhocxjDAzNHZljYRkTin7dgyyL4kiW6LsWzj2iKxZynYiZE9l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       "]]},
     Annotation[#, "Charting`Private`Tag$241482#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{Automatic, Automatic},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.798441135662661*^9, 3.798441179704348*^9}},
 CellLabel->
  "Out[186]=",ExpressionUUID->"3ee300c4-c414-41fe-a4b7-0580b307183f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"1", "+", 
      RowBox[{"24", " ", "A"}], "+", 
      RowBox[{"144", " ", 
       SuperscriptBox["A", "2"]}]}], 
     RowBox[{"2304", " ", 
      SuperscriptBox["A", "5"]}]], "\[Equal]", "0"}], ",", "A"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.798441261132181*^9, 3.798441268545309*^9}},
 CellLabel->
  "In[187]:=",ExpressionUUID->"c5125932-06f1-43cd-8899-95c6860d87bf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"A", "\[Rule]", 
     RowBox[{"-", 
      FractionBox["1", "12"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"A", "\[Rule]", 
     RowBox[{"-", 
      FractionBox["1", "12"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7984412688558207`*^9},
 CellLabel->
  "Out[187]=",ExpressionUUID->"5ed798ff-135c-4674-9d4e-6044baa5158c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Alpha]", "^", "3"}], "+", 
     RowBox[{
      RowBox[{"\[Alpha]", "^", "2"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", "A"}], ")"}]}], "+", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{"4", "A"}], ")"}]}], "-", "1"}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"4", "A"}], ")"}]}]}], "-", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"18", 
        RowBox[{"A", "^", "2"}]}], ")"}]}]}], "\[Equal]", "0"}], ",", 
   "\[Alpha]"}], "]"}]], "Input",
 CellChangeTimes->{{3.798441660174012*^9, 3.7984416771386967`*^9}},
 CellLabel->
  "In[188]:=",ExpressionUUID->"89cac594-c7a5-46d3-8042-779be2a23270"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"6", " ", "A"}]]}], "-", 
      FractionBox[
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", 
            RowBox[{"16", " ", 
             SuperscriptBox["A", "2"]}]]}], "-", 
          FractionBox["3", 
           RowBox[{"4", " ", "A"}]]}], ")"}]}], 
       RowBox[{"3", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", 
            SuperscriptBox["A", "3"]], "+", 
           FractionBox["12", 
            SuperscriptBox["A", "2"]], "+", 
           FractionBox[
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"-", "1"}], "-", 
               RowBox[{"24", " ", "A"}], "-", 
               RowBox[{"144", " ", 
                SuperscriptBox["A", "2"]}]}]]}], 
            SuperscriptBox["A", 
             RowBox[{"5", "/", "2"}]]]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}]], "+", 
      RowBox[{
       FractionBox["1", "12"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", 
           SuperscriptBox["A", "3"]], "+", 
          FractionBox["12", 
           SuperscriptBox["A", "2"]], "+", 
          FractionBox[
           RowBox[{"2", " ", 
            SqrtBox["3"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"-", "1"}], "-", 
              RowBox[{"24", " ", "A"}], "-", 
              RowBox[{"144", " ", 
               SuperscriptBox["A", "2"]}]}]]}], 
           SuperscriptBox["A", 
            RowBox[{"5", "/", "2"}]]]}], ")"}], 
        RowBox[{"1", "/", "3"}]]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"6", " ", "A"}]]}], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"\[ImaginaryI]", " ", 
           SqrtBox["3"]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", 
            RowBox[{"16", " ", 
             SuperscriptBox["A", "2"]}]]}], "-", 
          FractionBox["3", 
           RowBox[{"4", " ", "A"}]]}], ")"}]}], 
       RowBox[{"3", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", 
            SuperscriptBox["A", "3"]], "+", 
           FractionBox["12", 
            SuperscriptBox["A", "2"]], "+", 
           FractionBox[
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"-", "1"}], "-", 
               RowBox[{"24", " ", "A"}], "-", 
               RowBox[{"144", " ", 
                SuperscriptBox["A", "2"]}]}]]}], 
            SuperscriptBox["A", 
             RowBox[{"5", "/", "2"}]]]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}]], "-", 
      RowBox[{
       FractionBox["1", "24"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          SqrtBox["3"]}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", 
           SuperscriptBox["A", "3"]], "+", 
          FractionBox["12", 
           SuperscriptBox["A", "2"]], "+", 
          FractionBox[
           RowBox[{"2", " ", 
            SqrtBox["3"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"-", "1"}], "-", 
              RowBox[{"24", " ", "A"}], "-", 
              RowBox[{"144", " ", 
               SuperscriptBox["A", "2"]}]}]]}], 
           SuperscriptBox["A", 
            RowBox[{"5", "/", "2"}]]]}], ")"}], 
        RowBox[{"1", "/", "3"}]]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"6", " ", "A"}]]}], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"\[ImaginaryI]", " ", 
           SqrtBox["3"]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", 
            RowBox[{"16", " ", 
             SuperscriptBox["A", "2"]}]]}], "-", 
          FractionBox["3", 
           RowBox[{"4", " ", "A"}]]}], ")"}]}], 
       RowBox[{"3", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", 
            SuperscriptBox["A", "3"]], "+", 
           FractionBox["12", 
            SuperscriptBox["A", "2"]], "+", 
           FractionBox[
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"-", "1"}], "-", 
               RowBox[{"24", " ", "A"}], "-", 
               RowBox[{"144", " ", 
                SuperscriptBox["A", "2"]}]}]]}], 
            SuperscriptBox["A", 
             RowBox[{"5", "/", "2"}]]]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}]], "-", 
      RowBox[{
       FractionBox["1", "24"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          SqrtBox["3"]}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", 
           SuperscriptBox["A", "3"]], "+", 
          FractionBox["12", 
           SuperscriptBox["A", "2"]], "+", 
          FractionBox[
           RowBox[{"2", " ", 
            SqrtBox["3"], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"-", "1"}], "-", 
              RowBox[{"24", " ", "A"}], "-", 
              RowBox[{"144", " ", 
               SuperscriptBox["A", "2"]}]}]]}], 
           SuperscriptBox["A", 
            RowBox[{"5", "/", "2"}]]]}], ")"}], 
        RowBox[{"1", "/", "3"}]]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.798441677857197*^9},
 CellLabel->
  "Out[188]=",ExpressionUUID->"769851ef-3785-4877-a86f-47662aef9c75"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"%188", "/.", 
   RowBox[{"A", "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "/", "24"}]}]}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.79844169014443*^9, 3.798441704869871*^9}},
 CellLabel->
  "In[190]:=",ExpressionUUID->"ee1c8c72-9de0-4dae-a770-d6c56d48d44c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{"5.475686517795721`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.7300356816020578`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{"1.0486269644085584`", "\[VeryThinSpace]", "+", 
      RowBox[{"5.551115123125783`*^-16", " ", "\[ImaginaryI]"}]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", "\[Rule]", 
     RowBox[{"5.475686517795721`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.7300356816020572`", " ", "\[ImaginaryI]"}]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.798441697531701*^9, 3.7984417051417847`*^9}},
 CellLabel->
  "Out[190]=",ExpressionUUID->"90ca8fc5-3021-4de9-af75-b10f7901d246"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", 
      RowBox[{"6", " ", "A"}]]}], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"\[ImaginaryI]", " ", 
         SqrtBox["3"]}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", 
          RowBox[{"16", " ", 
           SuperscriptBox["A", "2"]}]]}], "-", 
        FractionBox["3", 
         RowBox[{"4", " ", "A"}]]}], ")"}]}], 
     RowBox[{"3", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", 
          SuperscriptBox["A", "3"]], "+", 
         FractionBox["12", 
          SuperscriptBox["A", "2"]], "+", 
         FractionBox[
          RowBox[{"2", " ", 
           SqrtBox["3"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             RowBox[{"24", " ", "A"}], "-", 
             RowBox[{"144", " ", 
              SuperscriptBox["A", "2"]}]}]]}], 
          SuperscriptBox["A", 
           RowBox[{"5", "/", "2"}]]]}], ")"}], 
       RowBox[{"1", "/", "3"}]]}]], "-", 
    RowBox[{
     FractionBox["1", "24"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"\[ImaginaryI]", " ", 
        SqrtBox["3"]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", 
         SuperscriptBox["A", "3"]], "+", 
        FractionBox["12", 
         SuperscriptBox["A", "2"]], "+", 
        FractionBox[
         RowBox[{"2", " ", 
          SqrtBox["3"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"24", " ", "A"}], "-", 
            RowBox[{"144", " ", 
             SuperscriptBox["A", "2"]}]}]]}], 
         SuperscriptBox["A", 
          RowBox[{"5", "/", "2"}]]]}], ")"}], 
      RowBox[{"1", "/", "3"}]]}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"A", ">", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "12"}]}], ",", 
     RowBox[{"A", "<", "0"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.798441717425218*^9, 3.798441764935701*^9}},
 CellLabel->
  "In[192]:=",ExpressionUUID->"99eca36a-8dba-4c4d-8e7a-bc40e19ba7c9"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "2"}], "+", 
    RowBox[{"4", " ", 
     SqrtBox["3"], " ", 
     SqrtBox[
      RowBox[{"-", "A"}]]}], "+", 
    RowBox[{
     SuperscriptBox["A", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", 
            SqrtBox["3"], " ", 
            SqrtBox[
             RowBox[{"-", "A"}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"12", " ", "A"}]}], ")"}]}], 
        SuperscriptBox["A", "3"]], ")"}], 
      RowBox[{"2", "/", "3"}]]}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"12", " ", "A"}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"4", " ", 
           SqrtBox["3"], " ", 
           SqrtBox[
            RowBox[{"-", "A"}]]}], "+", 
          RowBox[{"12", " ", "A"}]}], ")"}], "2"]}], ")"}], 
     RowBox[{"1", "/", "3"}]]}], 
   RowBox[{"12", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["3"], " ", 
       SqrtBox[
        RowBox[{"-", "A"}]]}]}], ")"}], " ", "A"}]]}]], "Output",
 CellChangeTimes->{{3.798441738232723*^9, 3.7984417681271544`*^9}},
 CellLabel->
  "Out[192]=",ExpressionUUID->"ef165d9d-2af8-42bd-b2ce-5967d454cd69"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "2"}], "+", 
      RowBox[{"4", " ", 
       SqrtBox["3"], " ", 
       SqrtBox[
        RowBox[{"-", "A"}]]}], "+", 
      RowBox[{
       SuperscriptBox["A", "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox[
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"2", " ", 
              SqrtBox["3"], " ", 
              SqrtBox[
               RowBox[{"-", "A"}]]}]}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"12", " ", "A"}]}], ")"}]}], 
          SuperscriptBox["A", "3"]], ")"}], 
        RowBox[{"2", "/", "3"}]]}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"12", " ", "A"}]}], ")"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"4", " ", 
             SqrtBox["3"], " ", 
             SqrtBox[
              RowBox[{"-", "A"}]]}], "+", 
            RowBox[{"12", " ", "A"}]}], ")"}], "2"]}], ")"}], 
       RowBox[{"1", "/", "3"}]]}], 
     RowBox[{"12", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", 
         SqrtBox["3"], " ", 
         SqrtBox[
          RowBox[{"-", "A"}]]}]}], ")"}], " ", "A"}]]}], ",", 
   RowBox[{"{", 
    RowBox[{"A", ",", 
     RowBox[{
      RowBox[{"-", "1"}], "/", "12"}], ",", "0"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.798441749455262*^9, 3.798441781349111*^9}},
 CellLabel->
  "In[193]:=",ExpressionUUID->"d6d9cae5-8c3e-480d-a060-4cda9aba92fb"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwV0Xk4lAsbBnDK0kaRpA9JUkqijqTCkyVZWshR2dJiKluJKI6mr8WSbJMl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       "]]},
     Annotation[#, "Charting`Private`Tag$247135#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.8888890054552432},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->NCache[{{
      Rational[-1, 12], 0}, {0.8888890054552432, 
     1.9965471601625107`}}, {{-0.08333333333333333, 0}, {0.8888890054552432, 
     1.9965471601625107`}}],
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.798441781622216*^9},
 CellLabel->
  "Out[193]=",ExpressionUUID->"70308228-58cd-4daf-bbca-0c0ef9dd321d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Alpha]0", "=", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     RowBox[{"-", "2"}], "+", 
     RowBox[{"4", " ", 
      SqrtBox["3"], " ", 
      SqrtBox[
       RowBox[{"-", "A"}]]}], "+", 
     RowBox[{
      SuperscriptBox["A", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SqrtBox[
              RowBox[{"-", "A"}]]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"12", " ", "A"}]}], ")"}]}], 
         SuperscriptBox["A", "3"]], ")"}], 
       RowBox[{"2", "/", "3"}]]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"12", " ", "A"}]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"4", " ", 
            SqrtBox["3"], " ", 
            SqrtBox[
             RowBox[{"-", "A"}]]}], "+", 
           RowBox[{"12", " ", "A"}]}], ")"}], "2"]}], ")"}], 
      RowBox[{"1", "/", "3"}]]}], 
    RowBox[{"12", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", 
        SqrtBox["3"], " ", 
        SqrtBox[
         RowBox[{"-", "A"}]]}]}], ")"}], " ", "A"}]]}]}]], "Input",
 CellChangeTimes->{{3.798441901292931*^9, 3.798441903672454*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"fa7ffd88-c7c2-424a-bdd3-cf4015481814"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"-", "2"}], "+", 
    RowBox[{"4", " ", 
     SqrtBox["3"], " ", 
     SqrtBox[
      RowBox[{"-", "A"}]]}], "+", 
    RowBox[{
     SuperscriptBox["A", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", 
            SqrtBox["3"], " ", 
            SqrtBox[
             RowBox[{"-", "A"}]]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"12", " ", "A"}]}], ")"}]}], 
        SuperscriptBox["A", "3"]], ")"}], 
      RowBox[{"2", "/", "3"}]]}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"12", " ", "A"}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"4", " ", 
           SqrtBox["3"], " ", 
           SqrtBox[
            RowBox[{"-", "A"}]]}], "+", 
          RowBox[{"12", " ", "A"}]}], ")"}], "2"]}], ")"}], 
     RowBox[{"1", "/", "3"}]]}], 
   RowBox[{"12", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox["3"], " ", 
       SqrtBox[
        RowBox[{"-", "A"}]]}]}], ")"}], " ", "A"}]]}]], "Output",
 CellChangeTimes->{3.798441904401354*^9, 3.7989060063223*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"539ccc64-35cb-45b6-b6de-3c674f7306dd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Alpha]0", "//", "FortranForm"}]], "Input",
 CellChangeTimes->{{3.7989060107261763`*^9, 3.798906015626018*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"71f0533f-4da0-48b4-aefb-3df0032d6dff"],

Cell["\<\
        -(-2 + 4*Sqrt(3)*Sqrt(-A) + 
     -     A**2*(((-1 + 2*Sqrt(3)*Sqrt(-A))*(1 + \
12*A))/A**3)**0.6666666666666666 + 
     -     ((1 + 12*A)*(-1 + 4*Sqrt(3)*Sqrt(-A) + \
12*A)**2)**0.3333333333333333)/
     -  (12.*(-1 + 2*Sqrt(3)*Sqrt(-A))*A)\
\>", "Output",
 CellChangeTimes->{3.798906016048334*^9},
 CellLabel->
  "Out[6]//FortranForm=",ExpressionUUID->"1c364f4f-caa4-4277-85ab-\
703f70cd046f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{"\[Alpha]0", ",", 
   RowBox[{"A", "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "/", "12"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7984419085718317`*^9, 3.7984419359032583`*^9}},
 CellLabel->
  "In[196]:=",ExpressionUUID->"e16d560f-2e62-48da-a6a1-3161f6a83256"],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{{3.7984419148935347`*^9, 3.798441938414591*^9}},
 CellLabel->
  "Out[196]=",ExpressionUUID->"f237ca8c-6665-421d-9b05-edc47083b1f3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{"\[Alpha]0", ",", 
   RowBox[{"A", "\[Rule]", "0"}], ",", 
   RowBox[{"Direction", "\[Rule]", "\"\<FromBelow\>\""}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.798441992986912*^9, {3.798442034332206*^9, 3.798442038483409*^9}},
 CellLabel->
  "In[199]:=",ExpressionUUID->"9eeb4012-758f-47dc-8170-185ad6ff27d2"],

Cell[BoxData[
 FractionBox["8", "9"]], "Output",
 CellChangeTimes->{3.7984419943845243`*^9, 3.798442038947464*^9},
 CellLabel->
  "Out[199]=",ExpressionUUID->"f03143ca-8637-4262-90e1-2a7895c97539"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", "1"}], "/", "A"}], "-", 
    RowBox[{"2", "\[Alpha]0"}], "-", 
    RowBox[{"2", "/", 
     RowBox[{"(", 
      RowBox[{"3", "\[Alpha]0", " ", "A"}], ")"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"A", ",", 
     RowBox[{
      RowBox[{"-", "1"}], "/", "12"}], ",", 
     RowBox[{"-", "0.001"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "All"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.798442374557231*^9, 3.798442485673896*^9}},
 CellLabel->
  "In[208]:=",ExpressionUUID->"22ad75f0-06a4-4983-bf48-a4a763586bc9"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVk2c8FQwbhxMRopIURYPEQYTscZtRJCTj2Mc+Vhzj2LJH9kqSlZk6xkGe
6i6lQlFKIS0rjxVSJPQ+74f/7/p2/a4v/yOOPibOW7ds2bL43/7P58P858zM
6PiFOaxuB4sIMOdwVteb0vG8qta/3O0ioGP4l4HZhI5nYl2VSN9FIJZ5gWh7
no4efxkjFXlEoQO/0FvO0bFg09OQQ04UtlBf79xpSEey3veyPGNRUJPucHc9
S0dt3V/O4h6iEDbT+Bj16cj11P9kTpQo/FNRzr9fj44K8ilVZ3NFYc0mJ8hX
l46HO810qqtFQWFf3Ovn2nR0jDQ7+a1dFJqTXOKoGnTsfrztSOuIKCxpmn9+
rU5HEz0R4/hZUTi5flqRoPZfv0MP8e4fUbjtLTo3rETHwtT0S+n7CTB7nO+0
jCId/azKGgyFCSD2la00RZ6OUbQDrlUyBKg2nb2gIkvHqi/f/hgZEqBM4c69
6xL/+euEr0qGEyB366lU+8N0pBxVL17qJ8Dbf45NtgnQ8Q/zXoHlEQJwBfDA
bn46vlv+9PXNJAHSvq38eMRLR6HgDwWyawRIfNFOFNxDR2v8bV56SAzC8kBs
chsdB/e42O93EQNHgkE3eaYZpVaG5kmTYlCpWRdd8m8zSgpxiRbPi8GMFZvi
wLdmNOxNa+v5JQaUlOdVauPNaJnSoLaVRRziZ7Xjdn9sxizqgcUJYXGova0K
rb3NuN7RafDUSRyWpCVbtjY24+GjtZzuw+JwWZmr7GpwMyb6+WQONEvAy9NR
9iSOZsxx7s9XFpMEdpXJ6NMVTZh5ps99UlMK+hbHNjWlm7BIpf2PxZoUPChL
chx+1ognzDu771WcBOm9z44kXWhEs8UGnXlbaSj0WdcyGWvAY7d8FrbzyoBE
55BBK7UB064zsr/tlgHdkXMNMiwN2NA82G+TKQtJ8+T1s0U07NqXL81nfAoe
TkXVRsjQ8Olehf7lPXKwpkd0y4y5g4qFXsC3IAfdLUz6Nnduo+4o4QftqTzc
rPr4xbyrHt857M4NalcAV7dKtYRvt/BiQSyF2KIIkYfQfZ77FubE0Ibb65Wg
zJLFIFaqDnMedP7k61IGvuQbf4yJtbizPDJH56sKFKu6Op6j1GCIguHcoKAa
sD4SSI/MrEZvWT7znwHq0K0knDR1vwpbugZWrUkAefI2SlGDleiqLSb+Q1gD
WgnjbUZbK7HOn5ukNaMBD+esNkylbuLlVbXw4+2a8FaG4Xe8QQWar1CevL2l
Baq+K48Wg8rxrd1YxO0ybWiU5NdMySxDlV9DRWc7dYATpRMt75RiL5NpRtOm
LjzULrhmN1KCKqqKLiygB2uFVi9Evt9AWvPijOkjfeC/KrTOoF2MsZbEdH/j
s7BTvrdVu7QID+rH5TowG8L+D+++jg8XYhRDcjLbQSN4QY6sXJa+im3uFrxp
1echb2vCkINrPgZO3m26yWIC7PEnqtTac/Huq6rXcTGmYFRD3xK3NwefaKUP
iZ8yg2WNgXQSZw62xzJQjqqaQeHwsoAmSw5eI55p4tcxg3F2WdW/q9mo/CVT
4ZiZGYR4N1KpI9lYoa7KSg0wg0qZO0te5dk42mKipNhqBuv3q8cvnsxGfR/5
cH31i1DTf+25iGEWrotMTMmTzGHrzDGeaN0sTPYJKhHxNAcrRhppSD0LGcM6
3h8KMAc22SebSdJZqFTFPnokwRw8cmdlZ/ZlYaKyv2RAnTkQLFRL60cz8ZfH
gSN2P83h1sdPVOngTEwba9MPTLOA21NHxFTKM1BTWNg76b0lCIQ7z28rysDE
Yo8CjTFLSN9d09CXk4FtLhlzjN8twVdJSoEUn4Ha/Y8Nq5itQDpVTSfZPQP3
Sj6x85CzArok0W5QMgOHDs9MzeVbQfCcyPF/g9Ox9uPn9vMkIljy0OrDPNJR
6s++UXdfIiipy8vusk5HJ4lGzvRwIqxn6GjIq6ejRWdV+0Y+ESJlHYlx29Jx
sqZQzvslEeJDr6UfyUrDv2om32uVrCGXlXPVsu4KCmtMDOw5ZAMUyeVuqetX
8Ob478AUCRu4YDZ8nSX9Coqrxs7tUrEBrtJKLbrfFYTg/lodSxvIUFBP36V0
Bf3sWq5b5NhAsquv8LPnqZi5FlYmx2ELUZ39F2QnU/CcxLFOLzY7sJ9pO84+
mIIm/zzp6eKzA/XdN9a+dqVgSJNOkJyYHWxak0vS61Mw7dxhQU0DOwhdZpyd
pqQg3+qJm8fS7SBQ8FRMKWMKTknF2vLtsAdydH4D55Fk3K+8oshfZA+0ShOG
oT3JONibdLevwh6WeziMy5mT0cJyhDWl3h4ieGIX5GeTsEmqzuQg2kNGna+k
Q2sSfu0jMdWN2kPLgH59k2ESfqLSNeLEHICBsF5tEZKInuQfJ/KeOICuUevq
Ua9EnPSd4orsdYBkip/enF0ieuSv0/wGHYAbp75F6ySikkC2Q8isAwhfGBCu
25WIvQ0WCRx7HcEg4nbFRmUCZnaNbJq4OUJ+v31J2Zt4FMpPFR7fR4IdC2kf
jDrjcTDa+JW6EAkuc9zn2WiJRxuuUPY6KRJ46vFeMS+MR1dGh1s0fRJoPnhN
3eEQj77lLydCw0gwX6NpGjgfh50Hb1RITJBAO1qI+QxrHIqfeqY+89gJ2otN
NFbWYvHFHaaY4H4nkLwXFVYxG4vuEtfreb86Ad/KyNJmXyy2LGrYFGw6wXfP
3M9NebHIsYfrQYqSMxRaMN/lF4rFgwwBPb4tzrAgOUVeVIvBkf2UX1HoAj0G
M4JZJ2PQt0K24p8+F6h0n/8gLRSDRBn/tR1fXIBYvnyWwhqDZ8w87Ja3uMJT
HgbxlTeX8Tz3nMMHLVco2uCdXXe7jEwBv/vkel3hdM9Zz+3Z0Rh8cFav6pcb
HJ06J1QTF43uT9rjBdjcYZ3JZEQ/OBqna5NSm/jdoVHNwiDFJhpvTFozKui4
A3+jkzinSDQW8MqZNua6w4+C8Nk996OQuyKXtV7FA1Rf2g6p9UYiz2ad4FIF
GRa2CI4yN0diot0qQeMeGcpkv033Xo3EoiUcbnlDBuYin3Vb50jU0BJt3cfo
Ca88og5FrkdghftPzXaSJzhtL3NGQgTu0f2765O4F/CouHgn7IrAU/7KXc90
vaDLhxBk9Cscp5aZ332y94IT7xsTPz8KRznn3Bd5uV6wcvNx3V+LcFx2VKlU
ZvCGZK2JRfWEMBQV7Czu/uoNKkE1ayxeYahdI+vWuekN32u9GF+ZhOE5b+43
Pw/4wAWuX9z2AmGYuktl4vdFH+D/yqwQRQ9FQhfTlxt9PkCLEIl4OBaCCxpU
lt/OvvDuLplNA6g4qdtIGwy5BNMf9073ClJxMG7aeS7tEmwyPOyyZqEiLbD0
nmT5JTh2hjspuDcYu+0pHeovLgFl+B4LzToY3cW8/xQf9oM9fzi2HaIGIVt2
ftFSvx8IH2obv2UdhMOWZTonp/1AScvxiRIE4aq8Zk81gz84prTEXGQJwpKJ
g606J/2h8YDd1rTcQHyrG7LNKNsfzqvQ/q43BGC1XuF7LxIFnOytPifnBvz3
n4dSlREUCI5lwv3UAHTbxl4hXEiBGy8sImQhAI0sFOyY+ikwb82wQe6loMhq
rsQFnQBIDTdZG572x8qj9/1IyoFQUro+5Nbrj7RS7sFGYiA0d1be/dXgjyWS
3VfswgLhA8efYC6qP6Zn7jz3/kEgEIrLV/RZ/JG1RPyHt14QdD1YXm4T9EMh
9b8d732CofqrXq8Eqx8e0DrMK50TDPFM16vK5i/hatQ462pbMGie0bFKvXsJ
Qyls+r2MVLg3kIt2RpfwWaxF5YdiKtBm5ZKZQ31xNFHtl+1sCKTtTCGF2vui
VF892Wd/KHhJf1ZZ0PFFvS28RTt1QoEQnPB9aJcvVhReNmIrCQU9FlqNlaEP
PnkhwaFsEwZSp5bUqiu8kFI6L2K3Eg5zIYWLmT5eKOVa2D4mEQG1DzUrQpW8
MD7YxPiEcwQIGWSzGr3yxGOay1XC7yJgP0n27c8/ZLzPeLTraEckDFSPxH9+
SkbKVHWi2d9IyJqPVezKJKOCyfTqXYEo2BEyUFx0nIxvVUduadtGwZbMQHct
Uw88f4Z8lTgWBfffCRyUEPDAjEpO/x/boiHk4LNenn/d8eVMGxuvaDQsV+2T
nY5wxxeCHfoHLkXD1IO2zYxaN5TvcHcgbb8MfbNr2Z8YXHF3WU/eLfMYaCmd
bbv21AUZQzuvmifHQPHFTx8tUlyQ87Hc7x0PYsDr4aPjb7hdcHNnm1GbSCyw
5yT+8+y4MwqZKfrv2hEHS3ohX2JnnbDSYs6QXS8OhjfI2zQbnLCsfbPBJi4O
alyNjO4pOWGzZ5umAlM8nFbmGaMZknCwm93zBHcCnFhg2e7NRcIXh/8qGlgn
AM/N3+Ji7x2x4M7hO5KVCTDB+THwpr0juhG8j6SqJ0LMaDlbob8DnnCM33c7
OQk88nMlzRUckKlhcY15LAlMDBIucG/YI1NHxannqslwpMWjOC3eHq8d8jg7
s5YM4XtITswydniCGn7mc14qGITr3o66Z4tFZeUT17ddAb5voqtrOrY45shW
gkFXoK19IeW7hQ3ydnMXvnJJgwShtwPuo9bo6O0WvX88DS6mtR4aJ1vjNDOP
ToBzOiw7RDQNRhBxUaoOSpQy4HGPw4bJdiJ+W9ro2nU5A7JO6Zx+mWmFcyly
tzZ7MkCKdceHRxWWyKISnjHimgmetKtb67rNkTbWMbHxOAuU+cINjl0wx1fM
Exw1gtnAFmufd+PjRdQKdPotk5AN1ebHCTkLZnjqQIbauFUOBD1io3CGmKF4
oEhTTk8O6IrN309kNMMnXMYmKhq5ML7ZbBzOcwFlaQulr1TyoMmt4NrKDVO0
Pm37PvpxHlzuD524JGqKY41nNenn8+FwpSbVRcUEO6xyLIqjCuD7TuHHXzqN
0Szny6if0FV4QGXlIBoZ46j26r9sr6/ClbHZiwOD5zHn+UGnQwmFYG34qsTI
8TzSyaWSEaevwf8AtiFiZQ==
       "]]},
     Annotation[#, "Charting`Private`Tag$249388#1"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-0.08333333165306123, 0.}, {0, All}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {0, 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.7984424025287113`*^9, 3.798442486585861*^9}},
 CellLabel->
  "Out[208]=",ExpressionUUID->"060555d8-a296-4340-b6d9-536cc2fe840b"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"r1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"Sqrt", "[", "\[Alpha]0", "]"}]}], "/", 
     RowBox[{"Sqrt", "[", "2", "]"}]}], "+", 
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", "A"}], "-", 
       RowBox[{"2", "\[Alpha]0"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "/", 
          RowBox[{"(", 
           RowBox[{"3", "A"}], ")"}]}], ")"}], 
        RowBox[{"Sqrt", "[", 
         RowBox[{"2", "/", "\[Alpha]0"}], "]"}]}]}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"Sqrt", "[", "\[Alpha]0", "]"}]}], "/", 
     RowBox[{"Sqrt", "[", "2", "]"}]}], "-", 
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", "A"}], "-", 
       RowBox[{"2", "\[Alpha]0"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "/", 
          RowBox[{"(", 
           RowBox[{"3", "A"}], ")"}]}], ")"}], 
        RowBox[{"Sqrt", "[", 
         RowBox[{"2", "/", "\[Alpha]0"}], "]"}]}]}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r3", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Sqrt", "[", "\[Alpha]0", "]"}], "/", 
     RowBox[{"Sqrt", "[", "2", "]"}]}], "+", 
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", "A"}], "-", 
       RowBox[{"2", "\[Alpha]0"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "/", 
          RowBox[{"(", 
           RowBox[{"3", "A"}], ")"}]}], ")"}], 
        RowBox[{"Sqrt", "[", 
         RowBox[{"2", "/", "\[Alpha]0"}], "]"}]}]}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r4", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Sqrt", "[", "\[Alpha]0", "]"}], "/", 
     RowBox[{"Sqrt", "[", "2", "]"}]}], "-", 
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", "A"}], "-", 
       RowBox[{"2", "\[Alpha]0"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "/", 
          RowBox[{"(", 
           RowBox[{"3", "A"}], ")"}]}], ")"}], 
        RowBox[{"Sqrt", "[", 
         RowBox[{"2", "/", "\[Alpha]0"}], "]"}]}]}], "]"}]}]}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.7984426531678267`*^9, 3.798442673625354*^9}, {
  3.7984427041209717`*^9, 3.798442708225266*^9}, {3.7984427636445932`*^9, 
  3.798442818069873*^9}, {3.798911641885097*^9, 3.7989117240609713`*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"46512165-8eb7-48a6-a9cc-3b9d8b5effe6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{"r4", ",", 
   RowBox[{"{", 
    RowBox[{"A", ",", 
     RowBox[{
      RowBox[{"-", "1"}], "/", "12"}], ",", 
     RowBox[{"-", "0.001"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"All", ",", "All"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.798442711847364*^9, 3.798442747993186*^9}, {
  3.798442789001399*^9, 3.798442789764604*^9}, {3.798442820670663*^9, 
  3.798442828588848*^9}, {3.7989085602614117`*^9, 3.798908577518024*^9}, {
  3.798908768946917*^9, 3.798908771513732*^9}, {3.798909810998085*^9, 
  3.7989098197755537`*^9}, {3.7989117324247427`*^9, 3.7989117520244617`*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"b53734fa-bf14-469e-8827-ac20c65b6953"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAAyNodTlVVtb+Qwkkm9PjvP2IqTMpr
67S/PgjkuQby7D+COxKimXi0v8gQFSB4Duw/zUeAYGMNtL8BjYlLFHzrPws8
5oFHpLO/87jy43UK6z/P8eP+QjKzv6uaR+XBo+o/vqKJYtrHsr+OHD43KlHq
PzIVxyGJVLK/WJZnmzUC6j+ab/xDUuOxv88tAInlvOk/LcXZTLd5sb8GuL5S
EoLpP0bcTrEzB7G/FcjPv3xH6T+J7mv8S5ywv3+qhFzkFOk/wOiAqn4zsL+4
wLNskOboP/pIW2iRg6+/lPm2N3e36D/KtgRJXa+uv1R7vFAejug/pafd4FfJ
rb9hhcnGymPoP2dopj6H56y/fsYQa3o86D9/H79p7hSsv5AymtGZGeg/olkH
TIQwq79eVxpPh/XnPxqKn/tRW6q/edyv/VrV5z+ePWdiTnSpv56ub+n5s+c/
CcEej3+RqL+QtsB1k5TnP8o6Jonovae/Y2saOmh45z+WN106gNimv0O5fif/
Wuc/tyrkuE8Cpr+yH7xPhUDnP8DtWv1TMKW/+vmM6msn5z/UMwH5hkykvzdD
DkMWDec/PXD3wfF3o7/Kn1bhS/XmP7IvHUKLkaK/4+PE20/c5j8OvzKIWa+h
v5EMBOqKxOY/wESYm1/coL9MEHtpAq/mP/qaWswo75+/VWGW4U+Y5j8dmST8
AUSevwWaxGi0g+Y/DzfOt0ShnL84BbyaBHDmPxjb1uHk2pq/vy+d0DNb5j/M
a3+m9DKZv9T2FqZESOY/lgKH2WFnl78kkugcPzTmPwuGLqc+upW/XSnqYQAi
5j9PqbUAhRWUv50Ty0SEEOY/qdKbyChNkr/FYjQd+/3lP67oISs8o5C/puQo
KhHt5T+VCQ74WauNv5cC0b4j2+U/a4GXsQ4hir8Zu8xw7cnlP5fSYKCi04a/
PIbRJDS65T/wL+hr8T6Dv7R2IWyAqeU/Pc1e2T7Of78qA2PJOJrlP9a5awpB
QHm/7fxjQYaL5T/JvvT0uCNyvzJ8UuHhe+U/z+z6k94BZ7+DtOmQj23lP1xN
0KBPYlC/2ZDx8t9d5T/AEa3B
    "], {}], {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{Automatic, Automatic},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.798442723154655*^9, 3.798442748546496*^9}, 
   3.79844279003389*^9, {3.798442821190427*^9, 3.7984428290653152`*^9}, {
   3.7989085610715523`*^9, 3.798908578028323*^9}, 3.7989087719828463`*^9, {
   3.798909815095607*^9, 3.798909823136224*^9}, {3.798911728388986*^9, 
   3.798911752416625*^9}},
 CellLabel->"Out[32]=",ExpressionUUID->"015f4bbf-3e35-4649-acf3-dcfb2506cb90"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"r1", "/.", 
  RowBox[{"A", "\[Rule]", 
   RowBox[{"-", "0.04"}]}]}]], "Input",
 CellChangeTimes->{{3.798910395951067*^9, 3.7989104063425093`*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"877228bf-a0c1-4cd2-81d4-25c5cc763300"],

Cell[BoxData["2.38540689191375`"], "Output",
 CellChangeTimes->{3.7989104070822287`*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"76a870eb-5141-4f72-a6dc-895f9338fba7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", 
     RowBox[{"4", " ", 
      SuperscriptBox["y", "4"]}]]}], "+", 
   FractionBox["2", 
    RowBox[{"3", " ", 
     SuperscriptBox["y", "3"]}]], "-", 
   FractionBox["1", 
    RowBox[{"2", " ", 
     SuperscriptBox["y", "2"]}]]}], "/.", 
  RowBox[{"y", "->", "%20"}]}]], "Input",
 CellChangeTimes->{{3.798910415089944*^9, 3.7989104239154167`*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"f2886593-339d-43ec-bb36-6b2b1476479b"],

Cell[BoxData[
 RowBox[{"-", "0.04647638037584693`"}]], "Output",
 CellChangeTimes->{{3.7989104163111258`*^9, 3.798910424189698*^9}},
 CellLabel->"Out[22]=",ExpressionUUID->"a4129d20-4749-4c3f-a6e1-b35efb883c7d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"y", "-", "1"}], ")"}], "^", "2"}], "/", 
    RowBox[{"y", "^", "5"}]}], ",", "y"}], "]"}]], "Input",
 CellChangeTimes->{{3.798909036179151*^9, 3.798909050482881*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"779067ff-ce33-42e9-ab90-30d1cd8de36a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox["1", 
    RowBox[{"4", " ", 
     SuperscriptBox["y", "4"]}]]}], "+", 
  FractionBox["2", 
   RowBox[{"3", " ", 
    SuperscriptBox["y", "3"]}]], "-", 
  FractionBox["1", 
   RowBox[{"2", " ", 
    SuperscriptBox["y", "2"]}]]}]], "Output",
 CellChangeTimes->{3.7989090508251867`*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"7234d25e-a27c-42b1-a2ab-2a3191505795"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{808, 911},
WindowMargins->{{Automatic, 72}, {Automatic, 0}},
FrontEndVersion->"12.0 for Mac OS X x86 (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 158, 3, 98, "Title",ExpressionUUID->"10b0707b-4abd-4054-b0bc-37a544abdeeb"],
Cell[741, 27, 670, 19, 73, "Input",ExpressionUUID->"3d39b21b-7f68-407b-bd64-1f8428c2cba7"],
Cell[CellGroupData[{
Cell[1436, 50, 158, 3, 69, "Chapter",ExpressionUUID->"315cbe2a-48e1-4958-8556-f21618c78701"],
Cell[CellGroupData[{
Cell[1619, 57, 566, 14, 52, "Input",ExpressionUUID->"ba340c08-4f62-40d4-ab11-66bdb6dfd1f4"],
Cell[2188, 73, 1727, 49, 106, "Output",ExpressionUUID->"e2be5ca0-656a-4e24-998c-858a6bd3bb62"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3952, 127, 204, 3, 30, "Input",ExpressionUUID->"2d833799-228b-41df-b6c9-3ef902bd95a0"],
Cell[4159, 132, 506, 11, 135, "Output",ExpressionUUID->"8d9f1e5c-7a59-43c8-92ad-9d377d706215"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[4714, 149, 149, 3, 53, "Subtitle",ExpressionUUID->"3d8cfd68-0983-4e14-8fec-c232a36066d6"],
Cell[4866, 154, 545, 15, 52, "Input",ExpressionUUID->"9bbee658-2309-4f65-9efd-9fec5714acb8"],
Cell[5414, 171, 725, 23, 52, "Input",ExpressionUUID->"f426e10f-5812-4580-b233-c4c8babf5273"],
Cell[CellGroupData[{
Cell[6164, 198, 1071, 29, 52, "Input",ExpressionUUID->"464ab272-27c0-441c-a7d7-9ee7e7d1ff8a"],
Cell[7238, 229, 1854, 52, 106, "Output",ExpressionUUID->"587b9cf5-a7c0-419f-a991-9fcacb15fa53"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9129, 286, 394, 10, 30, "Input",ExpressionUUID->"d5e3154b-0557-41cc-a516-a6714b59123b"],
Cell[9526, 298, 1732, 50, 106, "Output",ExpressionUUID->"36460933-7e59-48f4-9a8a-ed8a6c8a4667"]
}, Open  ]],
Cell[11273, 351, 621, 19, 30, "Input",ExpressionUUID->"c6705a04-50bc-497c-ba7b-dcc074f21e23"],
Cell[CellGroupData[{
Cell[11919, 374, 236, 5, 30, "Input",ExpressionUUID->"b71afff4-5cc4-4927-8172-07bf89acadc0"],
Cell[12158, 381, 1898, 55, 145, "Output",ExpressionUUID->"49d1c808-fad4-4555-900e-0f8b3a6de8c2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14093, 441, 239, 5, 30, "Input",ExpressionUUID->"41f54d9e-2c01-4234-8f92-a6b00f7dcd34"],
Cell[14335, 448, 563, 12, 135, "Output",ExpressionUUID->"cec2f346-b1cc-49d7-961d-a66aed4d4b01"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14935, 465, 265, 6, 30, "Input",ExpressionUUID->"a8dc11cc-f55e-4d1f-b242-8643ee4304f9"],
Cell[15203, 473, 717, 13, 171, "Output",ExpressionUUID->"ba0ae4bb-23af-47f8-8b40-fe046e7c3884"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15957, 491, 593, 15, 30, "Input",ExpressionUUID->"8acb9a64-c455-4a3b-a1d4-c1fecfc6989a"],
Cell[16553, 508, 279, 5, 34, "Output",ExpressionUUID->"7d25d271-25ca-4ce2-9b95-16799025e3ca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16869, 518, 314, 8, 30, "Input",ExpressionUUID->"5ab672b9-851e-40b1-9f7b-084ee27d89fa"],
Cell[17186, 528, 202, 4, 34, "Output",ExpressionUUID->"b949a4b2-d3d9-4123-af18-6c64881970a6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17425, 537, 625, 16, 30, "Input",ExpressionUUID->"dd9541f8-bbfe-459b-be42-93e8799cbc5c"],
Cell[18053, 555, 7691, 146, 227, "Output",ExpressionUUID->"9d53b181-c805-42e0-a141-c4d5be8df731"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25781, 706, 676, 17, 52, "Input",ExpressionUUID->"75a66b8a-abe9-43cc-8844-1d9db27587ae"],
Cell[26460, 725, 2846, 81, 129, "Output",ExpressionUUID->"013aa1d9-6798-4928-a74c-e043b6902660"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29343, 811, 182, 3, 30, "Input",ExpressionUUID->"dafd63cc-e9a9-4c96-af05-2ad2b401ffd9"],
Cell[29528, 816, 2771, 80, 129, "Output",ExpressionUUID->"f0729b98-0153-4a96-baee-6670f2220316"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32336, 901, 937, 30, 54, "Input",ExpressionUUID->"a62f9245-eae5-4afb-8876-1468525497b5"],
Cell[33276, 933, 874, 28, 57, "Output",ExpressionUUID->"90aea8f8-942b-40d3-95a5-25c9da1e5272"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34187, 966, 1116, 33, 54, "Input",ExpressionUUID->"10fc65bb-822f-43e7-b7ac-1583b0c8e7c9"],
Cell[35306, 1001, 183, 3, 34, "Output",ExpressionUUID->"414d5d93-28d9-4f4a-816d-fcfb050ac52d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35526, 1009, 594, 15, 30, "Input",ExpressionUUID->"fc982e49-a6c3-4309-9f4a-c8d91c453210"],
Cell[36123, 1026, 3700, 81, 237, "Output",ExpressionUUID->"0a788404-979b-43bc-8432-9715c0c1f064"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39860, 1112, 416, 10, 30, "Input",ExpressionUUID->"623a9942-3d97-48b8-8735-5a9b2233d762"],
Cell[40279, 1124, 155, 3, 34, "Output",ExpressionUUID->"b97f4acf-4c3e-4d53-b649-0db0086f042f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40471, 1132, 177, 3, 30, "Input",ExpressionUUID->"bf350717-c278-4cb6-a20f-909206063c0f"],
Cell[40651, 1137, 2771, 80, 129, "Output",ExpressionUUID->"7b96792e-6257-4c0e-afaf-4f8225a3df22"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43459, 1222, 485, 12, 30, "Input",ExpressionUUID->"39fb9b27-3255-497c-840e-88d7ba1c0ba7"],
Cell[43947, 1236, 2794, 80, 129, "Output",ExpressionUUID->"4c9f10d2-57b1-42c2-bfed-7d6b7e4859c4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[46778, 1321, 198, 4, 30, "Input",ExpressionUUID->"ab118cc0-1b09-4e4a-a3ec-2b6fb2082675"],
Cell[46979, 1327, 18974, 430, 119, "Output",ExpressionUUID->"c99bbd22-1fa3-4b8a-8e40-1e2fd359ecdf"]
}, Open  ]],
Cell[CellGroupData[{
Cell[65990, 1762, 179, 3, 30, "Input",ExpressionUUID->"aeeca74c-3f2d-4bf2-9cae-9b17b4ed7120"],
Cell[66172, 1767, 2771, 80, 129, "Output",ExpressionUUID->"10bca803-d7f9-4a40-be48-78b38afa2615"]
}, Open  ]],
Cell[CellGroupData[{
Cell[68980, 1852, 881, 20, 52, "Input",ExpressionUUID->"96268171-0859-4919-9b53-8b05e4ff02a2"],
Cell[69864, 1874, 23591, 539, 875, "Output",ExpressionUUID->"28cc3bc6-b830-4b89-b137-a3b7e3992b3a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[93492, 2418, 199, 4, 30, "Input",ExpressionUUID->"e903b064-11bf-4cae-a317-f8a2c6dcca4a"],
Cell[93694, 2424, 15399, 338, 119, "Output",ExpressionUUID->"8e2ff46d-fc84-49ed-b87e-3d4cc11e9c30"]
}, Open  ]],
Cell[CellGroupData[{
Cell[109130, 2767, 652, 21, 30, "Input",ExpressionUUID->"a453f6e8-4ae7-48a6-b024-fe73c7fe30ba"],
Cell[109785, 2790, 4776, 99, 227, "Output",ExpressionUUID->"9ef1c4dc-8670-4852-a0dc-56e638e40796"]
}, Open  ]],
Cell[CellGroupData[{
Cell[114598, 2894, 827, 26, 30, "Input",ExpressionUUID->"ce801680-304e-4e0e-bfb7-73b40a0fdfb5"],
Cell[115428, 2922, 6180, 192, 313, "Output",ExpressionUUID->"6a866a6d-188f-4172-a5cf-292fc193a8dd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[121645, 3119, 289, 7, 30, "Input",ExpressionUUID->"3ed4881c-b9ec-4b45-9150-436a8ff239c1"],
Cell[121937, 3128, 5040, 150, 249, "Output",ExpressionUUID->"c7712340-01c9-4adb-b7d5-11bacbca4ef5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[127014, 3283, 277, 7, 30, "Input",ExpressionUUID->"edde5e71-0fb6-4144-90c6-1ff360eaff4b"],
Cell[127294, 3292, 681, 16, 34, "Output",ExpressionUUID->"3b882875-9f85-43f0-a14f-36080d76d536"]
}, Open  ]],
Cell[CellGroupData[{
Cell[128012, 3313, 1998, 64, 118, "Input",ExpressionUUID->"de9b2f48-bdc7-42f9-80d5-702c107e0d3c"],
Cell[130013, 3379, 6541, 128, 254, "Output",ExpressionUUID->"928334e4-32b4-4162-9a08-16c79eeecd98"]
}, Open  ]],
Cell[136569, 3510, 151, 3, 35, "Text",ExpressionUUID->"c9cacd51-89b4-4fd1-8f40-f3c2eb8bb71c"],
Cell[CellGroupData[{
Cell[136745, 3517, 783, 25, 30, "Input",ExpressionUUID->"b54c5a14-543d-4449-8f74-e8896c3f81f5"],
Cell[137531, 3544, 334, 10, 55, "Output",ExpressionUUID->"774bc0d8-6a0c-4193-bdaa-2807dd0e5729"]
}, Open  ]],
Cell[CellGroupData[{
Cell[137902, 3559, 578, 17, 52, "Input",ExpressionUUID->"4117400c-b3f9-4f06-9f2e-500b374be163"],
Cell[138483, 3578, 6917, 134, 227, "Output",ExpressionUUID->"3ee300c4-c414-41fe-a4b7-0580b307183f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[145437, 3717, 466, 14, 52, "Input",ExpressionUUID->"c5125932-06f1-43cd-8899-95c6860d87bf"],
Cell[145906, 3733, 404, 13, 50, "Output",ExpressionUUID->"5ed798ff-135c-4674-9d4e-6044baa5158c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[146347, 3751, 825, 26, 30, "Input",ExpressionUUID->"89cac594-c7a5-46d3-8042-779be2a23270"],
Cell[147175, 3779, 6156, 192, 313, "Output",ExpressionUUID->"769851ef-3785-4877-a86f-47662aef9c75"]
}, Open  ]],
Cell[CellGroupData[{
Cell[153368, 3976, 302, 8, 30, "Input",ExpressionUUID->"ee1c8c72-9de0-4dae-a770-d6c56d48d44c"],
Cell[153673, 3986, 792, 19, 37, "Output",ExpressionUUID->"90ca8fc5-3021-4de9-af75-b10f7901d246"]
}, Open  ]],
Cell[CellGroupData[{
Cell[154502, 4010, 2271, 74, 152, "Input",ExpressionUUID->"99eca36a-8dba-4c4d-8e7a-bc40e19ba7c9"],
Cell[156776, 4086, 1546, 53, 76, "Output",ExpressionUUID->"ef165d9d-2af8-42bd-b2ce-5967d454cd69"]
}, Open  ]],
Cell[CellGroupData[{
Cell[158359, 4144, 1804, 59, 115, "Input",ExpressionUUID->"d6d9cae5-8c3e-480d-a060-4cda9aba92fb"],
Cell[160166, 4205, 4857, 101, 244, "Output",ExpressionUUID->"70308228-58cd-4daf-bbca-0c0ef9dd321d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[165060, 4311, 1618, 53, 82, "Input",ExpressionUUID->"fa7ffd88-c7c2-424a-bdd3-cf4015481814"],
Cell[166681, 4366, 1535, 52, 76, "Output",ExpressionUUID->"539ccc64-35cb-45b6-b6de-3c674f7306dd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[168253, 4423, 214, 3, 30, "Input",ExpressionUUID->"71f0533f-4da0-48b4-aefb-3df0032d6dff"],
Cell[168470, 4428, 413, 11, 99, "Output",ExpressionUUID->"1c364f4f-caa4-4277-85ab-703f70cd046f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[168920, 4444, 319, 8, 30, "Input",ExpressionUUID->"e16d560f-2e62-48da-a6a1-3161f6a83256"],
Cell[169242, 4454, 179, 3, 34, "Output",ExpressionUUID->"f237ca8c-6665-421d-9b05-edc47083b1f3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[169458, 4462, 357, 8, 30, "Input",ExpressionUUID->"9eeb4012-758f-47dc-8170-185ad6ff27d2"],
Cell[169818, 4472, 197, 4, 51, "Output",ExpressionUUID->"f03143ca-8637-4262-90e1-2a7895c97539"]
}, Open  ]],
Cell[CellGroupData[{
Cell[170052, 4481, 662, 20, 30, "Input",ExpressionUUID->"22ad75f0-06a4-4983-bf48-a4a763586bc9"],
Cell[170717, 4503, 6934, 133, 255, "Output",ExpressionUUID->"060555d8-a296-4340-b6d9-536cc2fe840b"]
}, Open  ]],
Cell[177666, 4639, 2810, 90, 94, "Input",ExpressionUUID->"46512165-8eb7-48a6-a9cc-3b9d8b5effe6"],
Cell[CellGroupData[{
Cell[180501, 4733, 758, 16, 30, "Input",ExpressionUUID->"b53734fa-bf14-469e-8827-ac20c65b6953"],
Cell[181262, 4751, 3059, 68, 273, "Output",ExpressionUUID->"015f4bbf-3e35-4649-acf3-dcfb2506cb90"]
}, Open  ]],
Cell[CellGroupData[{
Cell[184358, 4824, 249, 5, 30, "Input",ExpressionUUID->"877228bf-a0c1-4cd2-81d4-25c5cc763300"],
Cell[184610, 4831, 167, 2, 34, "Output",ExpressionUUID->"76a870eb-5141-4f72-a6dc-895f9338fba7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[184814, 4838, 500, 15, 51, "Input",ExpressionUUID->"f2886593-339d-43ec-bb36-6b2b1476479b"],
Cell[185317, 4855, 211, 3, 34, "Output",ExpressionUUID->"a4129d20-4749-4c3f-a6e1-b35efb883c7d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[185565, 4863, 357, 9, 30, "Input",ExpressionUUID->"779067ff-ce33-42e9-ab90-30d1cd8de36a"],
Cell[185925, 4874, 417, 13, 54, "Output",ExpressionUUID->"7234d25e-a27c-42b1-a2ab-2a3191505795"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

